/* Actions (message types) */
mtype = { nop, l25, l35, l23, l34, l37, l33, l18, l16, l30, l27, l14, l32, l28, l29, l15, l31, l9, l26, l12, l8, l24, l38, l11, l4, l40, l17, l1, l36, l13, l3, l21, l6, l2, l39, l0, l20, l7, l22, l19, l5, l10, l41 };

/* Inter-process channels */
chan p7_6 = [0] of {mtype};
chan p6_5 = [0] of {mtype};
chan p5_4 = [0] of {mtype};
chan p7_3 = [0] of {mtype};
chan p6_3 = [0] of {mtype};
chan p4_3 = [0] of {mtype};
chan p2_1 = [0] of {mtype};
chan p3_2 = [0] of {mtype};
chan p5_0 = [0] of {mtype};
chan p1_0 = [0] of {mtype};

/* Environement<->process channels */
chan p6 = [0] of {mtype};
chan p5 = [0] of {mtype};
chan p3 = [0] of {mtype};
chan p7 = [0] of {mtype};
chan p4 = [0] of {mtype};
chan p2 = [0] of {mtype};
chan p1 = [0] of {mtype};
chan p0 = [0] of {mtype};

/* Environment process */
active proctype Environment()
{
  do
  :: p6 ! l25
  :: p6 ! l35
  :: p5 ! l37
  :: p5 ! l18
  :: p3 ! l30
  :: p3 ! l14
  :: p3 ! l31
  :: p7 ! nop
  :: p6 ! nop
  :: p5 ! nop
  :: p4 ! nop
  :: p3 ! nop
  :: p2 ! nop
  :: p1 ! nop
  :: p0 ! nop
  :: p0 ! l40
  :: p0 ! l3
  :: p0 ! l2
  :: p0 ! l39
  od
}

/* Action channel */
chan act = [0] of {mtype};

/* Most recent message event */
mtype lastAction = nop;

/* Action listener */
active proctype Listener()
{
  atomic {
    do
    :: act ? lastAction ->
  step: skip
    od
  }
}

/* Process 0 */
active proctype Proc0()
{
  int state = 95;
  do
  :: state == 95 ->
    atomic {
      if
      :: p0 ? nop ->

        state = 0;
      fi
    }
  :: state == 0 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 1;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 6;
      :: p0 ? l39 ->
        act ! l39;
        state = 91;
      fi
    }
  :: state == 1 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 1;
      :: p1_0 ? l7 ->
        act ! l7;
        state = 1;
      :: p0 ? l2 ->
        act ! l2;
        state = 1;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 1;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 1;
      :: p0 ? l3 ->
        act ! l3;
        state = 1;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 1;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 1;
      :: p0 ? l39 ->
        act ! l39;
        state = 2;
      fi
    }
  :: state == 6 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 7;
      :: p0 ? l2 ->
        act ! l2;
        state = 71;
      :: p0 ? l39 ->
        act ! l39;
        state = 87;
      fi
    }
  :: state == 91 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 2;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 87;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 93;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 94;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 92;
      fi
    }
  :: state == 2 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 2;
      :: p1_0 ? l7 ->
        act ! l7;
        state = 2;
      :: p0 ? l2 ->
        act ! l2;
        state = 2;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 2;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 2;
      :: p0 ? l3 ->
        act ! l3;
        state = 2;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 2;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 2;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 5;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 4;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 3;
      fi
    }
  :: state == 7 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 8;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 42;
      :: p0 ? l39 ->
        act ! l39;
        state = 52;
      fi
    }
  :: state == 71 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 72;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 1;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 1;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 1;
      :: p0 ? l39 ->
        act ! l39;
        state = 83;
      fi
    }
  :: state == 87 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 52;
      :: p0 ? l2 ->
        act ! l2;
        state = 83;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 89;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 90;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 88;
      fi
    }
  :: state == 93 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 4;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 88;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 92;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 94;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 93;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 93;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 92;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 94;
      fi
    }
  :: state == 94 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 5;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 89;
      :: p0 ? l39 ->
        act ! l39;
        state = 93;
      fi
    }
  :: state == 92 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 3;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 90;
      :: p0 ? l40 ->
        act ! l40;
        state = 93;
      :: p0 ? l39 ->
        act ! l39;
        state = 94;
      fi
    }
  :: state == 5 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 5;
      :: p1_0 ? l7 ->
        act ! l7;
        state = 5;
      :: p0 ? l2 ->
        act ! l2;
        state = 5;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 5;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 5;
      :: p0 ? l3 ->
        act ! l3;
        state = 5;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 5;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 5;
      :: p0 ? l39 ->
        act ! l39;
        state = 4;
      fi
    }
  :: state == 4 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 4;
      :: p1_0 ? l7 ->
        act ! l7;
        state = 4;
      :: p0 ? l2 ->
        act ! l2;
        state = 4;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 4;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 4;
      :: p0 ? l3 ->
        act ! l3;
        state = 4;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 4;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 4;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 3;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 4;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 5;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 4;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 3;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 5;
      fi
    }
  :: state == 3 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 3;
      :: p1_0 ? l7 ->
        act ! l7;
        state = 3;
      :: p0 ? l2 ->
        act ! l2;
        state = 3;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 3;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 3;
      :: p0 ? l3 ->
        act ! l3;
        state = 3;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 3;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 3;
      :: p0 ? l40 ->
        act ! l40;
        state = 4;
      :: p0 ? l39 ->
        act ! l39;
        state = 5;
      fi
    }
  :: state == 8 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 9;
      :: p0 ? l39 ->
        act ! l39;
        state = 29;
      fi
    }
  :: state == 42 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 43;
      :: p0 ? l39 ->
        act ! l39;
        state = 48;
      fi
    }
  :: state == 52 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 29;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 48;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 54;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 70;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 53;
      fi
    }
  :: state == 72 ->
    atomic {
      if
      :: p1_0 ? l0 ->
        act ! l0;
        state = 1;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 73;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 75;
      :: p0 ? l39 ->
        act ! l39;
        state = 82;
      fi
    }
  :: state == 83 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 82;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 2;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 2;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 2;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 86;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 85;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 84;
      fi
    }
  :: state == 89 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 53;
      :: p0 ? l2 ->
        act ! l2;
        state = 86;
      :: p0 ? l39 ->
        act ! l39;
        state = 88;
      fi
    }
  :: state == 90 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 70;
      :: p0 ? l2 ->
        act ! l2;
        state = 84;
      :: p0 ? l40 ->
        act ! l40;
        state = 88;
      :: p0 ? l39 ->
        act ! l39;
        state = 89;
      fi
    }
  :: state == 88 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 54;
      :: p0 ? l2 ->
        act ! l2;
        state = 85;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 90;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 89;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 88;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 90;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 88;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 89;
      fi
    }
  :: state == 9 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 1;
      :: p0 ? l2 ->
        act ! l2;
        state = 10;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 15;
      :: p0 ? l39 ->
        act ! l39;
        state = 25;
      fi
    }
  :: state == 29 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 25;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 30;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 41;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 40;
      fi
    }
  :: state == 43 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 43;
      :: p0 ? l39 ->
        act ! l39;
        state = 44;
      fi
    }
  :: state == 48 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 44;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 51;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 50;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 49;
      fi
    }
  :: state == 54 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 55;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 40;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 50;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 54;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 53;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 70;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 54;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 53;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 70;
      fi
    }
  :: state == 70 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 41;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 51;
      :: p0 ? l40 ->
        act ! l40;
        state = 54;
      :: p0 ? l39 ->
        act ! l39;
        state = 53;
      fi
    }
  :: state == 53 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 30;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 49;
      :: p0 ? l39 ->
        act ! l39;
        state = 54;
      fi
    }
  :: state == 73 ->
    atomic {
      if
      :: p0 ? l39 ->
        act ! l39;
        state = 74;
      fi
    }
  :: state == 75 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 76;
      :: p0 ? l39 ->
        act ! l39;
        state = 80;
      fi
    }
  :: state == 82 ->
    atomic {
      if
      :: p1_0 ? l0 ->
        act ! l0;
        state = 2;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 74;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 80;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 68;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 55;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 69;
      fi
    }
  :: state == 86 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 69;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 5;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 5;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 5;
      :: p0 ? l39 ->
        act ! l39;
        state = 85;
      fi
    }
  :: state == 85 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 55;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 4;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 4;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 4;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 85;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 86;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 84;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 85;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 84;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 86;
      fi
    }
  :: state == 84 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 68;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 3;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 3;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 3;
      :: p0 ? l40 ->
        act ! l40;
        state = 85;
      :: p0 ? l39 ->
        act ! l39;
        state = 86;
      fi
    }
  :: state == 10 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 10;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 10;
      :: p0 ? l39 ->
        act ! l39;
        state = 11;
      fi
    }
  :: state == 15 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 16;
      :: p0 ? l39 ->
        act ! l39;
        state = 21;
      fi
    }
  :: state == 25 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 2;
      :: p0 ? l2 ->
        act ! l2;
        state = 11;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 21;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 27;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 28;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 26;
      fi
    }
  :: state == 30 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 31;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 26;
      :: p0 ? l39 ->
        act ! l39;
        state = 40;
      fi
    }
  :: state == 41 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 28;
      :: p0 ? l40 ->
        act ! l40;
        state = 40;
      :: p0 ? l39 ->
        act ! l39;
        state = 30;
      fi
    }
  :: state == 40 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 27;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 30;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 41;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 40;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 30;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 41;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 40;
      fi
    }
  :: state == 44 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 44;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 47;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 46;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 45;
      fi
    }
  :: state == 51 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 47;
      :: p0 ? l40 ->
        act ! l40;
        state = 50;
      :: p0 ? l39 ->
        act ! l39;
        state = 49;
      fi
    }
  :: state == 50 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 46;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 50;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 51;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 49;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 51;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 49;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 50;
      fi
    }
  :: state == 49 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 45;
      :: p0 ? l39 ->
        act ! l39;
        state = 50;
      fi
    }
  :: state == 55 ->
    atomic {
      if
      :: p1_0 ? l0 ->
        act ! l0;
        state = 4;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 32;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 56;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 68;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 69;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 55;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 55;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 69;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 68;
      fi
    }
  :: state == 74 ->
    atomic {
      if
      :: p5_0 ? l36 ->
        act ! l36;
        state = 39;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 32;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 31;
      fi
    }
  :: state == 76 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 77;
      :: p0 ? l39 ->
        act ! l39;
        state = 79;
      fi
    }
  :: state == 80 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 79;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 81;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 56;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 66;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 67;
      fi
    }
  :: state == 68 ->
    atomic {
      if
      :: p1_0 ? l0 ->
        act ! l0;
        state = 3;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 66;
      :: p0 ? l40 ->
        act ! l40;
        state = 55;
      :: p0 ? l39 ->
        act ! l39;
        state = 69;
      fi
    }
  :: state == 69 ->
    atomic {
      if
      :: p1_0 ? l0 ->
        act ! l0;
        state = 5;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 31;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 67;
      :: p0 ? l39 ->
        act ! l39;
        state = 55;
      fi
    }
  :: state == 11 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 11;
      :: p1_0 ? l7 ->
        act ! l7;
        state = 11;
      :: p0 ? l2 ->
        act ! l2;
        state = 11;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 11;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 11;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 12;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 13;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 14;
      fi
    }
  :: state == 16 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 16;
      :: p0 ? l39 ->
        act ! l39;
        state = 17;
      fi
    }
  :: state == 21 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 17;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 24;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 23;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 22;
      fi
    }
  :: state == 27 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 4;
      :: p0 ? l2 ->
        act ! l2;
        state = 13;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 23;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 26;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 28;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 27;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 26;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 28;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 27;
      fi
    }
  :: state == 28 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 3;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 24;
      :: p0 ? l40 ->
        act ! l40;
        state = 27;
      :: p0 ? l39 ->
        act ! l39;
        state = 26;
      fi
    }
  :: state == 26 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 5;
      :: p0 ? l2 ->
        act ! l2;
        state = 14;
      :: p1_0 ? l0 ->
        act ! l0;
        state = 22;
      :: p0 ? l39 ->
        act ! l39;
        state = 27;
      fi
    }
  :: state == 31 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 14;
      :: p0 ? l39 ->
        act ! l39;
        state = 32;
      fi
    }
  :: state == 47 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 47;
      :: p0 ? l40 ->
        act ! l40;
        state = 46;
      :: p0 ? l39 ->
        act ! l39;
        state = 45;
      fi
    }
  :: state == 46 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 46;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 46;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 47;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 45;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 46;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 47;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 45;
      fi
    }
  :: state == 45 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 45;
      :: p0 ? l39 ->
        act ! l39;
        state = 46;
      fi
    }
  :: state == 32 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 33;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 13;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 39;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 32;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 31;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 31;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 39;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 32;
      fi
    }
  :: state == 56 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 57;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 61;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 66;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 56;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 67;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 67;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 66;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 56;
      fi
    }
  :: state == 39 ->
    atomic {
      if
      :: p0 ? l40 ->
        act ! l40;
        state = 32;
      :: p0 ? l39 ->
        act ! l39;
        state = 31;
      fi
    }
  :: state == 77 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 1;
      :: p0 ? l39 ->
        act ! l39;
        state = 78;
      fi
    }
  :: state == 79 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 78;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 57;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 64;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 65;
      fi
    }
  :: state == 81 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 81;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 60;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 62;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 61;
      fi
    }
  :: state == 66 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 64;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 60;
      :: p0 ? l40 ->
        act ! l40;
        state = 56;
      :: p0 ? l39 ->
        act ! l39;
        state = 67;
      fi
    }
  :: state == 67 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 65;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 62;
      :: p0 ? l39 ->
        act ! l39;
        state = 56;
      fi
    }
  :: state == 12 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 12;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 12;
      :: p0 ? l40 ->
        act ! l40;
        state = 13;
      :: p0 ? l39 ->
        act ! l39;
        state = 14;
      fi
    }
  :: state == 13 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 13;
      :: p0 ? l2 ->
        act ! l2;
        state = 13;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 13;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 13;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 12;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 13;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 14;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 14;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 12;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 13;
      fi
    }
  :: state == 14 ->
    atomic {
      if
      :: p1_0 ? l7 ->
        act ! l7;
        state = 14;
      :: p0 ? l2 ->
        act ! l2;
        state = 14;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 14;
      :: p0 ? l39 ->
        act ! l39;
        state = 13;
      fi
    }
  :: state == 17 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 17;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 19;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 20;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 18;
      fi
    }
  :: state == 24 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 20;
      :: p0 ? l40 ->
        act ! l40;
        state = 23;
      :: p0 ? l39 ->
        act ! l39;
        state = 22;
      fi
    }
  :: state == 23 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 18;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 24;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 23;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 22;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 22;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 23;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 24;
      fi
    }
  :: state == 22 ->
    atomic {
      if
      :: p0 ? l2 ->
        act ! l2;
        state = 19;
      :: p0 ? l39 ->
        act ! l39;
        state = 23;
      fi
    }
  :: state == 33 ->
    atomic {
      if
      :: p5_0 ? l36 ->
        act ! l36;
        state = 34;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 33;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 35;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 35;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 33;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 34;
      fi
    }
  :: state == 57 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 58;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 64;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 65;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 57;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 64;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 65;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 57;
      fi
    }
  :: state == 61 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 61;
      :: p1_0 ? l7 ->
        act ! l7;
        state = 61;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 61;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 61;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 60;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 62;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 60;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 62;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 61;
      fi
    }
  :: state == 78 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 2;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 58;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 59;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 63;
      fi
    }
  :: state == 64 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 59;
      :: p0 ? l40 ->
        act ! l40;
        state = 57;
      :: p0 ? l39 ->
        act ! l39;
        state = 65;
      fi
    }
  :: state == 65 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 63;
      :: p0 ? l39 ->
        act ! l39;
        state = 57;
      fi
    }
  :: state == 60 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 60;
      :: p1_0 ? l6 ->
        act ! l6;
        state = 60;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 60;
      :: p0 ? l40 ->
        act ! l40;
        state = 61;
      :: p0 ? l39 ->
        act ! l39;
        state = 62;
      fi
    }
  :: state == 62 ->
    atomic {
      if
      :: p1_0 ? l6 ->
        act ! l6;
        state = 62;
      :: p1_0 ? l1 ->
        act ! l1;
        state = 62;
      :: p0 ? l39 ->
        act ! l39;
        state = 61;
      fi
    }
  :: state == 19 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 19;
      :: p0 ? l39 ->
        act ! l39;
        state = 18;
      fi
    }
  :: state == 20 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 20;
      :: p0 ? l40 ->
        act ! l40;
        state = 18;
      :: p0 ? l39 ->
        act ! l39;
        state = 19;
      fi
    }
  :: state == 18 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 18;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 18;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 20;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 19;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 19;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 18;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 20;
      fi
    }
  :: state == 34 ->
    atomic {
      if
      :: p0 ? l40 ->
        act ! l40;
        state = 33;
      :: p0 ? l39 ->
        act ! l39;
        state = 35;
      fi
    }
  :: state == 35 ->
    atomic {
      if
      :: p1_0 ? l1 ->
        act ! l1;
        state = 36;
      :: p0 ? l39 ->
        act ! l39;
        state = 33;
      fi
    }
  :: state == 58 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 4;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 59;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 58;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 63;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 59;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 63;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 58;
      fi
    }
  :: state == 59 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 3;
      :: p1_0 ? l4 ->
        act ! l4;
        state = 60;
      :: p0 ? l40 ->
        act ! l40;
        state = 58;
      :: p0 ? l39 ->
        act ! l39;
        state = 63;
      fi
    }
  :: state == 63 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 5;
      :: p0 ? l39 ->
        act ! l39;
        state = 58;
      fi
    }
  :: state == 36 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 36;
      :: p0 ? l39 ->
        act ! l39;
        state = 37;
      fi
    }
  :: state == 37 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 37;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 36;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 38;
      :: p5_0 ? l36 ->
        act ! l36;
        state = 37;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 36;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 38;
      :: p5_0 ? l38 ->
        act ! l38;
        state = 37;
      fi
    }
  :: state == 38 ->
    atomic {
      if
      :: p1_0 ? l5 ->
        act ! l5;
        state = 38;
      :: p0 ? l40 ->
        act ! l40;
        state = 37;
      :: p0 ? l39 ->
        act ! l39;
        state = 36;
      fi
    }
  od
}

/* Process 1 */
active proctype Proc1()
{
  int state = 126;
  do
  :: state == 126 ->
    atomic {
      if
      :: p1 ? nop ->

        state = 96;
      fi
    }
  :: state == 96 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 97;
      :: p2_1 ? l9 ->
        act ! l9;
        state = 125;
      fi
    }
  :: state == 97 ->
    atomic {
      if
      :: p1_0 ! l6 ->

        state = 100;
      :: p1_0 ! l6 ->

        state = 98;
      :: p1_0 ! l4 ->

        state = 98;
      :: p1_0 ! l4 ->

        state = 100;
      :: p1_0 ! l7 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 123;
      :: p1_0 ! l0 ->

        state = 101;
      :: p1_0 ! l0 ->

        state = 124;
      fi
    }
  :: state == 125 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 125;
      :: p2_1 ? l9 ->
        act ! l9;
        state = 125;
      :: p1_0 ! l5 ->

        state = 125;
      :: p1_0 ! l6 ->

        state = 125;
      :: p1_0 ! l1 ->

        state = 125;
      :: p1_0 ! l4 ->

        state = 125;
      :: p1_0 ! l7 ->

        state = 125;
      :: p1_0 ! l0 ->

        state = 125;
      fi
    }
  :: state == 100 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 98;
      fi
    }
  :: state == 98 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 98;
      :: p1_0 ! l5 ->

        state = 99;
      :: p1_0 ! l6 ->

        state = 98;
      :: p1_0 ! l6 ->

        state = 100;
      :: p1_0 ! l1 ->

        state = 100;
      :: p1_0 ! l1 ->

        state = 98;
      :: p1_0 ! l4 ->

        state = 100;
      :: p1_0 ! l4 ->

        state = 98;
      :: p1_0 ! l7 ->

        state = 99;
      :: p1_0 ! l7 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 99;
      :: p1_0 ! l0 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 98;
      fi
    }
  :: state == 123 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 101;
      fi
    }
  :: state == 101 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 122;
      :: p1_0 ! l5 ->

        state = 103;
      :: p1_0 ! l5 ->

        state = 102;
      :: p1_0 ! l7 ->

        state = 98;
      :: p1_0 ! l7 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 98;
      fi
    }
  :: state == 124 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 101;
      fi
    }
  :: state == 99 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 98;
      :: p2_1 ? l9 ->
        act ! l9;
        state = 100;
      fi
    }
  :: state == 122 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 103;
      fi
    }
  :: state == 103 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 100;
      :: p1_0 ! l5 ->

        state = 98;
      :: p1_0 ! l6 ->

        state = 112;
      :: p1_0 ! l6 ->

        state = 104;
      :: p1_0 ! l6 ->

        state = 111;
      :: p1_0 ! l1 ->

        state = 120;
      :: p1_0 ! l1 ->

        state = 113;
      :: p1_0 ! l1 ->

        state = 121;
      :: p1_0 ! l4 ->

        state = 99;
      :: p1_0 ! l4 ->

        state = 100;
      :: p1_0 ! l7 ->

        state = 99;
      fi
    }
  :: state == 102 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 103;
      fi
    }
  :: state == 112 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 104;
      fi
    }
  :: state == 104 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 98;
      :: p1_0 ! l1 ->

        state = 110;
      :: p1_0 ! l1 ->

        state = 106;
      :: p1_0 ! l1 ->

        state = 105;
      :: p1_0 ! l4 ->

        state = 99;
      :: p1_0 ! l7 ->

        state = 98;
      :: p1_0 ! l7 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 99;
      fi
    }
  :: state == 111 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 104;
      fi
    }
  :: state == 120 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 113;
      fi
    }
  :: state == 113 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 107;
      :: p1_0 ! l5 ->

        state = 109;
      :: p1_0 ! l5 ->

        state = 108;
      :: p1_0 ! l6 ->

        state = 100;
      :: p1_0 ! l6 ->

        state = 99;
      :: p1_0 ! l4 ->

        state = 100;
      :: p1_0 ! l7 ->

        state = 114;
      :: p1_0 ! l7 ->

        state = 119;
      :: p1_0 ! l7 ->

        state = 115;
      :: p1_0 ! l0 ->

        state = 98;
      :: p1_0 ! l0 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 99;
      fi
    }
  :: state == 121 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 113;
      fi
    }
  :: state == 110 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 106;
      fi
    }
  :: state == 106 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 98;
      :: p1_0 ! l5 ->

        state = 99;
      :: p1_0 ! l6 ->

        state = 98;
      :: p1_0 ! l6 ->

        state = 100;
      :: p1_0 ! l4 ->

        state = 100;
      :: p1_0 ! l4 ->

        state = 99;
      :: p1_0 ! l0 ->

        state = 109;
      :: p1_0 ! l0 ->

        state = 108;
      :: p1_0 ! l0 ->

        state = 107;
      fi
    }
  :: state == 105 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 106;
      fi
    }
  :: state == 107 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 107;
      :: p1_0 ! l5 ->

        state = 108;
      :: p1_0 ! l5 ->

        state = 109;
      :: p1_0 ! l6 ->

        state = 98;
      :: p1_0 ! l6 ->

        state = 100;
      :: p1_0 ! l6 ->

        state = 99;
      :: p1_0 ! l1 ->

        state = 100;
      :: p1_0 ! l1 ->

        state = 98;
      :: p1_0 ! l4 ->

        state = 99;
      :: p1_0 ! l7 ->

        state = 100;
      :: p1_0 ! l7 ->

        state = 99;
      :: p1_0 ! l0 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 99;
      :: p1_0 ! l0 ->

        state = 98;
      fi
    }
  :: state == 109 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 107;
      fi
    }
  :: state == 108 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 107;
      fi
    }
  :: state == 114 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 115;
      fi
    }
  :: state == 119 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 115;
      fi
    }
  :: state == 115 ->
    atomic {
      if
      :: p1_0 ! l5 ->

        state = 98;
      :: p1_0 ! l6 ->

        state = 117;
      :: p1_0 ! l6 ->

        state = 116;
      :: p1_0 ! l6 ->

        state = 118;
      :: p1_0 ! l4 ->

        state = 99;
      :: p1_0 ! l7 ->

        state = 98;
      :: p1_0 ! l7 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 100;
      :: p1_0 ! l0 ->

        state = 98;
      :: p1_0 ! l0 ->

        state = 99;
      fi
    }
  :: state == 117 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 116;
      fi
    }
  :: state == 116 ->
    atomic {
      if
      :: p1_0 ! l6 ->

        state = 98;
      :: p1_0 ! l6 ->

        state = 100;
      :: p1_0 ! l1 ->

        state = 100;
      :: p1_0 ! l1 ->

        state = 99;
      :: p1_0 ! l4 ->

        state = 98;
      :: p1_0 ! l4 ->

        state = 100;
      :: p1_0 ! l4 ->

        state = 99;
      :: p1_0 ! l0 ->

        state = 98;
      fi
    }
  :: state == 118 ->
    atomic {
      if
      :: p2_1 ? l8 ->
        act ! l8;
        state = 116;
      :: p2_1 ? l9 ->
        act ! l9;
        state = 117;
      fi
    }
  od
}

/* Process 2 */
active proctype Proc2()
{
  int state = 140;
  do
  :: state == 140 ->
    atomic {
      if
      :: p2 ? nop ->

        state = 127;
      fi
    }
  :: state == 127 ->
    atomic {
      if
      :: p3_2 ? l12 ->
        act ! l12;
        state = 128;
      :: p3_2 ? l10 ->
        act ! l10;
        state = 138;
      :: p3_2 ? l11 ->
        act ! l11;
        state = 139;
      fi
    }
  :: state == 128 ->
    atomic {
      if
      :: p2_1 ! l8 ->

        state = 130;
      :: p2_1 ! l8 ->

        state = 129;
      fi
    }
  :: state == 138 ->
    atomic {
      if
      :: p3_2 ? l11 ->
        act ! l11;
        state = 128;
      :: p2_1 ! l8 ->

        state = 131;
      :: p2_1 ! l8 ->

        state = 130;
      fi
    }
  :: state == 139 ->
    atomic {
      if
      :: p3_2 ? l12 ->
        act ! l12;
        state = 139;
      :: p3_2 ? l10 ->
        act ! l10;
        state = 139;
      :: p3_2 ? l11 ->
        act ! l11;
        state = 139;
      :: p2_1 ! l8 ->

        state = 139;
      :: p2_1 ! l9 ->

        state = 139;
      fi
    }
  :: state == 130 ->
    atomic {
      if
      :: p3_2 ? l11 ->
        act ! l11;
        state = 129;
      :: p2_1 ! l8 ->

        state = 131;
      :: p2_1 ! l8 ->

        state = 130;
      :: p2_1 ! l9 ->

        state = 137;
      :: p2_1 ! l9 ->

        state = 132;
      fi
    }
  :: state == 129 ->
    atomic {
      if
      :: p2_1 ! l8 ->

        state = 129;
      :: p2_1 ! l8 ->

        state = 130;
      :: p2_1 ! l9 ->

        state = 133;
      :: p2_1 ! l9 ->

        state = 132;
      fi
    }
  :: state == 131 ->
    atomic {
      if
      :: p3_2 ? l12 ->
        act ! l12;
        state = 129;
      :: p3_2 ? l10 ->
        act ! l10;
        state = 130;
      fi
    }
  :: state == 137 ->
    atomic {
      if
      :: p3_2 ? l12 ->
        act ! l12;
        state = 133;
      :: p3_2 ? l10 ->
        act ! l10;
        state = 132;
      fi
    }
  :: state == 132 ->
    atomic {
      if
      :: p3_2 ? l11 ->
        act ! l11;
        state = 133;
      :: p2_1 ! l8 ->

        state = 131;
      :: p2_1 ! l8 ->

        state = 130;
      fi
    }
  :: state == 133 ->
    atomic {
      if
      :: p2_1 ! l8 ->

        state = 130;
      :: p2_1 ! l8 ->

        state = 129;
      :: p2_1 ! l9 ->

        state = 134;
      fi
    }
  :: state == 134 ->
    atomic {
      if
      :: p2_1 ! l8 ->

        state = 135;
      fi
    }
  :: state == 135 ->
    atomic {
      if
      :: p3_2 ? l11 ->
        act ! l11;
        state = 134;
      :: p2_1 ! l8 ->

        state = 135;
      :: p2_1 ! l8 ->

        state = 136;
      :: p2_1 ! l9 ->

        state = 135;
      :: p2_1 ! l9 ->

        state = 136;
      fi
    }
  :: state == 136 ->
    atomic {
      if
      :: p3_2 ? l12 ->
        act ! l12;
        state = 134;
      :: p3_2 ? l10 ->
        act ! l10;
        state = 135;
      fi
    }
  od
}

/* Process 3 */
active proctype Proc3()
{
  int state = 321;
  do
  :: state == 321 ->
    atomic {
      if
      :: p3 ? nop ->

        state = 141;
      fi
    }
  :: state == 141 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 142;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 162;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 302;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 320;
      fi
    }
  :: state == 142 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 142;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 142;
      :: p3 ? l14 ->
        act ! l14;
        state = 142;
      :: p3_2 ! l12 ->

        state = 142;
      :: p3_2 ! l10 ->

        state = 142;
      :: p3_2 ! l11 ->

        state = 142;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 143;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 161;
      fi
    }
  :: state == 162 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 163;
      :: p3 ? l14 ->
        act ! l14;
        state = 164;
      :: p3_2 ! l12 ->

        state = 166;
      :: p3_2 ! l12 ->

        state = 244;
      :: p3_2 ! l10 ->

        state = 244;
      :: p3_2 ! l10 ->

        state = 166;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 283;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 301;
      fi
    }
  :: state == 302 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 143;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 283;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 303;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 304;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      fi
    }
  :: state == 320 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 161;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 301;
      :: p3 ? l31 ->
        act ! l31;
        state = 320;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 320;
      :: p3 ? l30 ->
        act ! l30;
        state = 320;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 320;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 320;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 320;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 320;
      fi
    }
  :: state == 143 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 143;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 143;
      :: p3 ? l14 ->
        act ! l14;
        state = 143;
      :: p3_2 ! l12 ->

        state = 143;
      :: p3_2 ! l10 ->

        state = 143;
      :: p3_2 ! l11 ->

        state = 143;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 144;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 145;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      fi
    }
  :: state == 161 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 161;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 161;
      :: p3 ? l14 ->
        act ! l14;
        state = 161;
      :: p3_2 ! l12 ->

        state = 161;
      :: p3_2 ! l10 ->

        state = 161;
      :: p3_2 ! l11 ->

        state = 161;
      :: p3 ? l31 ->
        act ! l31;
        state = 161;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 161;
      :: p3 ? l30 ->
        act ! l30;
        state = 161;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 161;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 161;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 161;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 161;
      fi
    }
  :: state == 163 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 164;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 264;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 282;
      fi
    }
  :: state == 164 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 165;
      :: p3_2 ! l12 ->

        state = 166;
      :: p3_2 ! l10 ->

        state = 165;
      :: p3_2 ! l10 ->

        state = 166;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 245;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 263;
      fi
    }
  :: state == 166 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 167;
      :: p3 ? l14 ->
        act ! l14;
        state = 165;
      :: p3_2 ! l12 ->

        state = 244;
      :: p3_2 ! l12 ->

        state = 166;
      :: p3_2 ! l10 ->

        state = 244;
      :: p3_2 ! l10 ->

        state = 166;
      :: p3_2 ! l11 ->

        state = 166;
      :: p3_2 ! l11 ->

        state = 244;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 170;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 242;
      fi
    }
  :: state == 244 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 166;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 171;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 243;
      fi
    }
  :: state == 283 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 264;
      :: p3_2 ! l12 ->

        state = 171;
      :: p3_2 ! l12 ->

        state = 170;
      :: p3_2 ! l10 ->

        state = 171;
      :: p3_2 ! l10 ->

        state = 170;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 284;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 285;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      fi
    }
  :: state == 301 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 282;
      :: p3_2 ! l12 ->

        state = 242;
      :: p3_2 ! l12 ->

        state = 243;
      :: p3_2 ! l10 ->

        state = 243;
      :: p3_2 ! l10 ->

        state = 242;
      :: p3 ? l31 ->
        act ! l31;
        state = 301;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 301;
      :: p3 ? l30 ->
        act ! l30;
        state = 301;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 301;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 301;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 301;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 301;
      fi
    }
  :: state == 303 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 144;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 284;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 304;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      fi
    }
  :: state == 304 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 145;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 285;
      :: p3 ? l31 ->
        act ! l31;
        state = 305;
      :: p3 ? l31 ->
        act ! l31;
        state = 315;
      :: p3 ? l30 ->
        act ! l30;
        state = 306;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 307;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 316;
      fi
    }
  :: state == 309 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 149;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 289;
      :: p3 ? l31 ->
        act ! l31;
        state = 312;
      :: p3 ? l31 ->
        act ! l31;
        state = 310;
      :: p3 ? l30 ->
        act ! l30;
        state = 311;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 304;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 304;
      fi
    }
  :: state == 144 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 144;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 144;
      :: p3 ? l14 ->
        act ! l14;
        state = 144;
      :: p3_2 ! l12 ->

        state = 144;
      :: p3_2 ! l10 ->

        state = 144;
      :: p3_2 ! l11 ->

        state = 144;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 145;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      fi
    }
  :: state == 145 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 145;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 145;
      :: p3 ? l14 ->
        act ! l14;
        state = 145;
      :: p3_2 ! l12 ->

        state = 145;
      :: p3_2 ! l10 ->

        state = 145;
      :: p3_2 ! l11 ->

        state = 145;
      :: p3 ? l31 ->
        act ! l31;
        state = 159;
      :: p3 ? l31 ->
        act ! l31;
        state = 146;
      :: p3 ? l30 ->
        act ! l30;
        state = 160;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 147;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      fi
    }
  :: state == 149 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 149;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 149;
      :: p3 ? l14 ->
        act ! l14;
        state = 149;
      :: p3_2 ! l12 ->

        state = 149;
      :: p3_2 ! l10 ->

        state = 149;
      :: p3_2 ! l11 ->

        state = 149;
      :: p3 ? l31 ->
        act ! l31;
        state = 152;
      :: p3 ? l31 ->
        act ! l31;
        state = 150;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 145;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 145;
      fi
    }
  :: state == 264 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 245;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 265;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 266;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      fi
    }
  :: state == 282 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 263;
      :: p3 ? l31 ->
        act ! l31;
        state = 282;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 282;
      :: p3 ? l30 ->
        act ! l30;
        state = 282;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 282;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 282;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 282;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 282;
      fi
    }
  :: state == 165 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 165;
      :: p3_2 ! l12 ->

        state = 166;
      :: p3_2 ! l10 ->

        state = 166;
      :: p3_2 ! l10 ->

        state = 165;
      :: p3_2 ! l11 ->

        state = 165;
      :: p3_2 ! l11 ->

        state = 166;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 169;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 241;
      fi
    }
  :: state == 245 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 169;
      :: p3_2 ! l12 ->

        state = 170;
      :: p3_2 ! l10 ->

        state = 169;
      :: p3_2 ! l10 ->

        state = 170;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 246;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 247;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      fi
    }
  :: state == 263 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 241;
      :: p3_2 ! l12 ->

        state = 242;
      :: p3_2 ! l10 ->

        state = 242;
      :: p3_2 ! l10 ->

        state = 241;
      :: p3 ? l31 ->
        act ! l31;
        state = 263;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 263;
      :: p3 ? l30 ->
        act ! l30;
        state = 263;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 263;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 263;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 263;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 263;
      fi
    }
  :: state == 167 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 165;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 168;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 240;
      fi
    }
  :: state == 170 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 168;
      :: p3 ? l14 ->
        act ! l14;
        state = 169;
      :: p3_2 ! l12 ->

        state = 171;
      :: p3_2 ! l12 ->

        state = 170;
      :: p3_2 ! l10 ->

        state = 170;
      :: p3_2 ! l10 ->

        state = 171;
      :: p3_2 ! l11 ->

        state = 171;
      :: p3_2 ! l11 ->

        state = 170;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 173;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 177;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      fi
    }
  :: state == 242 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 240;
      :: p3 ? l14 ->
        act ! l14;
        state = 241;
      :: p3_2 ! l12 ->

        state = 243;
      :: p3_2 ! l12 ->

        state = 242;
      :: p3_2 ! l10 ->

        state = 242;
      :: p3_2 ! l10 ->

        state = 243;
      :: p3_2 ! l11 ->

        state = 242;
      :: p3_2 ! l11 ->

        state = 243;
      :: p3 ? l31 ->
        act ! l31;
        state = 242;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 242;
      :: p3 ? l30 ->
        act ! l30;
        state = 242;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 242;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 242;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 242;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 242;
      fi
    }
  :: state == 171 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 170;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 172;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 198;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      fi
    }
  :: state == 243 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 242;
      :: p3 ? l31 ->
        act ! l31;
        state = 243;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 243;
      :: p3 ? l30 ->
        act ! l30;
        state = 243;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 243;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 243;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 243;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 243;
      fi
    }
  :: state == 284 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 265;
      :: p3_2 ! l12 ->

        state = 173;
      :: p3_2 ! l12 ->

        state = 172;
      :: p3_2 ! l10 ->

        state = 173;
      :: p3_2 ! l10 ->

        state = 172;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 285;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      fi
    }
  :: state == 285 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 266;
      :: p3_2 ! l12 ->

        state = 177;
      :: p3_2 ! l12 ->

        state = 198;
      :: p3_2 ! l10 ->

        state = 177;
      :: p3_2 ! l10 ->

        state = 198;
      :: p3 ? l31 ->
        act ! l31;
        state = 286;
      :: p3 ? l31 ->
        act ! l31;
        state = 295;
      :: p3 ? l30 ->
        act ! l30;
        state = 296;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 287;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      fi
    }
  :: state == 289 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 272;
      :: p3_2 ! l12 ->

        state = 192;
      :: p3_2 ! l12 ->

        state = 193;
      :: p3_2 ! l10 ->

        state = 193;
      :: p3_2 ! l10 ->

        state = 192;
      :: p3 ? l31 ->
        act ! l31;
        state = 291;
      :: p3 ? l31 ->
        act ! l31;
        state = 290;
      :: p3 ? l30 ->
        act ! l30;
        state = 292;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 285;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 285;
      fi
    }
  :: state == 305 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 159;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 295;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 306;
      fi
    }
  :: state == 315 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 146;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 286;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 307;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      fi
    }
  :: state == 306 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 160;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 296;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 307;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      fi
    }
  :: state == 307 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 147;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 287;
      :: p3 ? l31 ->
        act ! l31;
        state = 313;
      :: p3 ? l31 ->
        act ! l31;
        state = 308;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 307;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 304;
      fi
    }
  :: state == 316 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 155;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 297;
      :: p3 ? l31 ->
        act ! l31;
        state = 317;
      :: p3 ? l31 ->
        act ! l31;
        state = 318;
      :: p3 ? l30 ->
        act ! l30;
        state = 319;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 316;
      fi
    }
  :: state == 312 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 152;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 290;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 304;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 304;
      fi
    }
  :: state == 310 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 150;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 291;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 311;
      fi
    }
  :: state == 311 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 151;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 292;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 304;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 304;
      fi
    }
  :: state == 159 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 159;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 159;
      :: p3 ? l14 ->
        act ! l14;
        state = 159;
      :: p3_2 ! l12 ->

        state = 159;
      :: p3_2 ! l10 ->

        state = 159;
      :: p3_2 ! l11 ->

        state = 159;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 160;
      fi
    }
  :: state == 146 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 146;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 146;
      :: p3 ? l14 ->
        act ! l14;
        state = 146;
      :: p3_2 ! l12 ->

        state = 146;
      :: p3_2 ! l10 ->

        state = 146;
      :: p3_2 ! l11 ->

        state = 146;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 147;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 155;
      fi
    }
  :: state == 160 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 160;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 160;
      :: p3 ? l14 ->
        act ! l14;
        state = 160;
      :: p3_2 ! l12 ->

        state = 160;
      :: p3_2 ! l10 ->

        state = 160;
      :: p3_2 ! l11 ->

        state = 160;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 147;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 155;
      fi
    }
  :: state == 147 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 147;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 147;
      :: p3 ? l14 ->
        act ! l14;
        state = 147;
      :: p3_2 ! l12 ->

        state = 147;
      :: p3_2 ! l10 ->

        state = 147;
      :: p3_2 ! l11 ->

        state = 147;
      :: p3 ? l31 ->
        act ! l31;
        state = 148;
      :: p3 ? l31 ->
        act ! l31;
        state = 153;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 147;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 145;
      fi
    }
  :: state == 152 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 152;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 152;
      :: p3 ? l14 ->
        act ! l14;
        state = 152;
      :: p3_2 ! l12 ->

        state = 152;
      :: p3_2 ! l10 ->

        state = 152;
      :: p3_2 ! l11 ->

        state = 152;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 145;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 145;
      fi
    }
  :: state == 150 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 150;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 150;
      :: p3 ? l14 ->
        act ! l14;
        state = 150;
      :: p3_2 ! l12 ->

        state = 150;
      :: p3_2 ! l10 ->

        state = 150;
      :: p3_2 ! l11 ->

        state = 150;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 151;
      fi
    }
  :: state == 265 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 246;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 266;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      fi
    }
  :: state == 266 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 247;
      :: p3 ? l31 ->
        act ! l31;
        state = 267;
      :: p3 ? l31 ->
        act ! l31;
        state = 280;
      :: p3 ? l30 ->
        act ! l30;
        state = 281;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 268;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 276;
      fi
    }
  :: state == 272 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 251;
      :: p3 ? l31 ->
        act ! l31;
        state = 273;
      :: p3 ? l31 ->
        act ! l31;
        state = 274;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 266;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 266;
      fi
    }
  :: state == 169 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 170;
      :: p3_2 ! l12 ->

        state = 169;
      :: p3_2 ! l10 ->

        state = 169;
      :: p3_2 ! l10 ->

        state = 170;
      :: p3_2 ! l11 ->

        state = 170;
      :: p3_2 ! l11 ->

        state = 169;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 175;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 176;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      fi
    }
  :: state == 241 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 242;
      :: p3_2 ! l12 ->

        state = 241;
      :: p3_2 ! l10 ->

        state = 242;
      :: p3_2 ! l10 ->

        state = 241;
      :: p3_2 ! l11 ->

        state = 241;
      :: p3_2 ! l11 ->

        state = 242;
      :: p3 ? l31 ->
        act ! l31;
        state = 241;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 241;
      :: p3 ? l30 ->
        act ! l30;
        state = 241;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 241;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 241;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 241;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 241;
      fi
    }
  :: state == 246 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 175;
      :: p3_2 ! l12 ->

        state = 173;
      :: p3_2 ! l10 ->

        state = 173;
      :: p3_2 ! l10 ->

        state = 175;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 247;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      fi
    }
  :: state == 247 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 176;
      :: p3_2 ! l12 ->

        state = 177;
      :: p3_2 ! l10 ->

        state = 176;
      :: p3_2 ! l10 ->

        state = 177;
      :: p3 ? l31 ->
        act ! l31;
        state = 248;
      :: p3 ? l31 ->
        act ! l31;
        state = 257;
      :: p3 ? l30 ->
        act ! l30;
        state = 258;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 249;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      fi
    }
  :: state == 251 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 191;
      :: p3_2 ! l12 ->

        state = 192;
      :: p3_2 ! l10 ->

        state = 191;
      :: p3_2 ! l10 ->

        state = 192;
      :: p3 ? l31 ->
        act ! l31;
        state = 252;
      :: p3 ? l31 ->
        act ! l31;
        state = 253;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 247;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 247;
      fi
    }
  :: state == 168 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 169;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 174;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 178;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      fi
    }
  :: state == 240 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 241;
      :: p3 ? l31 ->
        act ! l31;
        state = 240;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 240;
      :: p3 ? l30 ->
        act ! l30;
        state = 240;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 240;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 240;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 240;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 240;
      fi
    }
  :: state == 173 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 174;
      :: p3 ? l14 ->
        act ! l14;
        state = 175;
      :: p3_2 ! l12 ->

        state = 173;
      :: p3_2 ! l12 ->

        state = 172;
      :: p3_2 ! l10 ->

        state = 173;
      :: p3_2 ! l10 ->

        state = 172;
      :: p3_2 ! l11 ->

        state = 172;
      :: p3_2 ! l11 ->

        state = 173;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 177;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      fi
    }
  :: state == 177 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 178;
      :: p3 ? l14 ->
        act ! l14;
        state = 176;
      :: p3_2 ! l12 ->

        state = 177;
      :: p3_2 ! l12 ->

        state = 198;
      :: p3_2 ! l10 ->

        state = 198;
      :: p3_2 ! l10 ->

        state = 177;
      :: p3_2 ! l11 ->

        state = 177;
      :: p3_2 ! l11 ->

        state = 198;
      :: p3 ? l31 ->
        act ! l31;
        state = 200;
      :: p3 ? l31 ->
        act ! l31;
        state = 181;
      :: p3 ? l30 ->
        act ! l30;
        state = 204;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 184;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 208;
      fi
    }
  :: state == 192 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 190;
      :: p3 ? l14 ->
        act ! l14;
        state = 191;
      :: p3_2 ! l12 ->

        state = 193;
      :: p3_2 ! l12 ->

        state = 192;
      :: p3_2 ! l10 ->

        state = 192;
      :: p3_2 ! l10 ->

        state = 193;
      :: p3_2 ! l11 ->

        state = 192;
      :: p3_2 ! l11 ->

        state = 193;
      :: p3 ? l31 ->
        act ! l31;
        state = 224;
      :: p3 ? l31 ->
        act ! l31;
        state = 195;
      :: p3 ? l30 ->
        act ! l30;
        state = 228;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 177;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 177;
      fi
    }
  :: state == 172 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 173;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 198;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      fi
    }
  :: state == 198 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 177;
      :: p3 ? l31 ->
        act ! l31;
        state = 182;
      :: p3 ? l31 ->
        act ! l31;
        state = 199;
      :: p3 ? l30 ->
        act ! l30;
        state = 222;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 183;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      fi
    }
  :: state == 193 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 192;
      :: p3 ? l31 ->
        act ! l31;
        state = 223;
      :: p3 ? l31 ->
        act ! l31;
        state = 194;
      :: p3 ? l30 ->
        act ! l30;
        state = 230;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 198;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 198;
      fi
    }
  :: state == 286 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 267;
      :: p3_2 ! l12 ->

        state = 182;
      :: p3_2 ! l12 ->

        state = 181;
      :: p3_2 ! l10 ->

        state = 182;
      :: p3_2 ! l10 ->

        state = 181;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 287;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      fi
    }
  :: state == 295 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 280;
      :: p3 ? l14 ->
        act ! l14;
        state = 257;
      :: p3_2 ! l12 ->

        state = 199;
      :: p3_2 ! l12 ->

        state = 200;
      :: p3_2 ! l10 ->

        state = 199;
      :: p3_2 ! l10 ->

        state = 200;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 296;
      fi
    }
  :: state == 296 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 281;
      :: p3_2 ! l12 ->

        state = 204;
      :: p3_2 ! l12 ->

        state = 222;
      :: p3_2 ! l10 ->

        state = 204;
      :: p3_2 ! l10 ->

        state = 222;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 287;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 297;
      fi
    }
  :: state == 287 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 268;
      :: p3_2 ! l12 ->

        state = 183;
      :: p3_2 ! l12 ->

        state = 184;
      :: p3_2 ! l10 ->

        state = 184;
      :: p3_2 ! l10 ->

        state = 183;
      :: p3 ? l31 ->
        act ! l31;
        state = 288;
      :: p3 ? l31 ->
        act ! l31;
        state = 293;
      :: p3 ? l30 ->
        act ! l30;
        state = 294;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 287;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 285;
      fi
    }
  :: state == 291 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 274;
      :: p3_2 ! l12 ->

        state = 223;
      :: p3_2 ! l12 ->

        state = 224;
      :: p3_2 ! l10 ->

        state = 224;
      :: p3_2 ! l10 ->

        state = 223;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 292;
      fi
    }
  :: state == 290 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 273;
      :: p3 ? l14 ->
        act ! l14;
        state = 252;
      :: p3_2 ! l12 ->

        state = 194;
      :: p3_2 ! l12 ->

        state = 195;
      :: p3_2 ! l10 ->

        state = 195;
      :: p3_2 ! l10 ->

        state = 194;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 285;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 285;
      fi
    }
  :: state == 292 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 275;
      :: p3_2 ! l12 ->

        state = 228;
      :: p3_2 ! l12 ->

        state = 230;
      :: p3_2 ! l10 ->

        state = 230;
      :: p3_2 ! l10 ->

        state = 228;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 285;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 285;
      fi
    }
  :: state == 313 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 153;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 293;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 314;
      fi
    }
  :: state == 308 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 148;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 288;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 307;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 304;
      fi
    }
  :: state == 155 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 155;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 155;
      :: p3 ? l14 ->
        act ! l14;
        state = 155;
      :: p3_2 ! l12 ->

        state = 155;
      :: p3_2 ! l10 ->

        state = 155;
      :: p3_2 ! l11 ->

        state = 155;
      :: p3 ? l31 ->
        act ! l31;
        state = 156;
      :: p3 ? l31 ->
        act ! l31;
        state = 158;
      :: p3 ? l30 ->
        act ! l30;
        state = 157;
      fi
    }
  :: state == 297 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 276;
      :: p3_2 ! l12 ->

        state = 209;
      :: p3_2 ! l12 ->

        state = 208;
      :: p3_2 ! l10 ->

        state = 209;
      :: p3_2 ! l10 ->

        state = 208;
      :: p3 ? l31 ->
        act ! l31;
        state = 299;
      :: p3 ? l31 ->
        act ! l31;
        state = 298;
      :: p3 ? l30 ->
        act ! l30;
        state = 300;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 297;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 297;
      fi
    }
  :: state == 317 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 158;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 298;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 316;
      fi
    }
  :: state == 318 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 156;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 299;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 319;
      fi
    }
  :: state == 319 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 157;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 300;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 316;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 316;
      fi
    }
  :: state == 151 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 151;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 151;
      :: p3 ? l14 ->
        act ! l14;
        state = 151;
      :: p3_2 ! l12 ->

        state = 151;
      :: p3_2 ! l10 ->

        state = 151;
      :: p3_2 ! l11 ->

        state = 151;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 145;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 145;
      fi
    }
  :: state == 148 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 148;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 148;
      :: p3 ? l14 ->
        act ! l14;
        state = 148;
      :: p3_2 ! l12 ->

        state = 148;
      :: p3_2 ! l10 ->

        state = 148;
      :: p3_2 ! l11 ->

        state = 148;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 147;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 145;
      fi
    }
  :: state == 153 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 153;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 153;
      :: p3 ? l14 ->
        act ! l14;
        state = 153;
      :: p3_2 ! l12 ->

        state = 153;
      :: p3_2 ! l10 ->

        state = 153;
      :: p3_2 ! l11 ->

        state = 153;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 154;
      fi
    }
  :: state == 267 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 248;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 268;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 276;
      fi
    }
  :: state == 280 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 257;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 281;
      fi
    }
  :: state == 281 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 258;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 267;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 268;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      fi
    }
  :: state == 268 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 249;
      :: p3 ? l31 ->
        act ! l31;
        state = 271;
      :: p3 ? l31 ->
        act ! l31;
        state = 269;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 268;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 266;
      fi
    }
  :: state == 276 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 259;
      :: p3 ? l31 ->
        act ! l31;
        state = 278;
      :: p3 ? l31 ->
        act ! l31;
        state = 277;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 276;
      fi
    }
  :: state == 273 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 252;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 266;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 266;
      fi
    }
  :: state == 274 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 253;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 275;
      fi
    }
  :: state == 175 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 173;
      :: p3_2 ! l12 ->

        state = 175;
      :: p3_2 ! l10 ->

        state = 175;
      :: p3_2 ! l10 ->

        state = 173;
      :: p3_2 ! l11 ->

        state = 173;
      :: p3_2 ! l11 ->

        state = 175;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 176;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      fi
    }
  :: state == 176 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 177;
      :: p3_2 ! l12 ->

        state = 176;
      :: p3_2 ! l10 ->

        state = 176;
      :: p3_2 ! l10 ->

        state = 177;
      :: p3_2 ! l11 ->

        state = 177;
      :: p3_2 ! l11 ->

        state = 176;
      :: p3 ? l31 ->
        act ! l31;
        state = 202;
      :: p3 ? l31 ->
        act ! l31;
        state = 180;
      :: p3 ? l30 ->
        act ! l30;
        state = 203;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 186;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      fi
    }
  :: state == 191 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 192;
      :: p3_2 ! l12 ->

        state = 191;
      :: p3_2 ! l10 ->

        state = 191;
      :: p3_2 ! l10 ->

        state = 192;
      :: p3_2 ! l11 ->

        state = 192;
      :: p3_2 ! l11 ->

        state = 191;
      :: p3 ? l31 ->
        act ! l31;
        state = 197;
      :: p3 ? l31 ->
        act ! l31;
        state = 226;
      :: p3 ? l30 ->
        act ! l30;
        state = 227;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 176;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 176;
      fi
    }
  :: state == 248 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 180;
      :: p3_2 ! l12 ->

        state = 181;
      :: p3_2 ! l10 ->

        state = 181;
      :: p3_2 ! l10 ->

        state = 180;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 249;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      fi
    }
  :: state == 257 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 200;
      :: p3_2 ! l12 ->

        state = 202;
      :: p3_2 ! l10 ->

        state = 200;
      :: p3_2 ! l10 ->

        state = 202;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 258;
      fi
    }
  :: state == 258 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 203;
      :: p3_2 ! l12 ->

        state = 204;
      :: p3_2 ! l10 ->

        state = 203;
      :: p3_2 ! l10 ->

        state = 204;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 248;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 249;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 259;
      fi
    }
  :: state == 249 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 186;
      :: p3_2 ! l12 ->

        state = 184;
      :: p3_2 ! l10 ->

        state = 186;
      :: p3_2 ! l10 ->

        state = 184;
      :: p3 ? l31 ->
        act ! l31;
        state = 250;
      :: p3 ? l31 ->
        act ! l31;
        state = 255;
      :: p3 ? l30 ->
        act ! l30;
        state = 256;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 249;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 247;
      fi
    }
  :: state == 252 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 195;
      :: p3_2 ! l12 ->

        state = 197;
      :: p3_2 ! l10 ->

        state = 195;
      :: p3_2 ! l10 ->

        state = 197;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 247;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 247;
      fi
    }
  :: state == 253 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 224;
      :: p3_2 ! l12 ->

        state = 226;
      :: p3_2 ! l10 ->

        state = 226;
      :: p3_2 ! l10 ->

        state = 224;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 254;
      fi
    }
  :: state == 174 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 175;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 178;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      fi
    }
  :: state == 178 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 176;
      :: p3 ? l31 ->
        act ! l31;
        state = 179;
      :: p3 ? l31 ->
        act ! l31;
        state = 201;
      :: p3 ? l30 ->
        act ! l30;
        state = 205;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 185;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      fi
    }
  :: state == 190 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 191;
      :: p3 ? l31 ->
        act ! l31;
        state = 196;
      :: p3 ? l31 ->
        act ! l31;
        state = 225;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 178;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 178;
      fi
    }
  :: state == 200 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 201;
      :: p3 ? l14 ->
        act ! l14;
        state = 202;
      :: p3_2 ! l12 ->

        state = 200;
      :: p3_2 ! l12 ->

        state = 199;
      :: p3_2 ! l10 ->

        state = 200;
      :: p3_2 ! l10 ->

        state = 199;
      :: p3_2 ! l11 ->

        state = 199;
      :: p3_2 ! l11 ->

        state = 200;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 204;
      fi
    }
  :: state == 181 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 179;
      :: p3 ? l14 ->
        act ! l14;
        state = 180;
      :: p3_2 ! l12 ->

        state = 181;
      :: p3_2 ! l12 ->

        state = 182;
      :: p3_2 ! l10 ->

        state = 182;
      :: p3_2 ! l10 ->

        state = 181;
      :: p3_2 ! l11 ->

        state = 181;
      :: p3_2 ! l11 ->

        state = 182;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 184;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 208;
      fi
    }
  :: state == 204 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 205;
      :: p3 ? l14 ->
        act ! l14;
        state = 203;
      :: p3_2 ! l12 ->

        state = 222;
      :: p3_2 ! l12 ->

        state = 204;
      :: p3_2 ! l10 ->

        state = 222;
      :: p3_2 ! l10 ->

        state = 204;
      :: p3_2 ! l11 ->

        state = 204;
      :: p3_2 ! l11 ->

        state = 222;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 181;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 184;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      fi
    }
  :: state == 184 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 185;
      :: p3 ? l14 ->
        act ! l14;
        state = 186;
      :: p3_2 ! l12 ->

        state = 184;
      :: p3_2 ! l12 ->

        state = 183;
      :: p3_2 ! l10 ->

        state = 183;
      :: p3_2 ! l10 ->

        state = 184;
      :: p3_2 ! l11 ->

        state = 183;
      :: p3_2 ! l11 ->

        state = 184;
      :: p3 ? l31 ->
        act ! l31;
        state = 233;
      :: p3 ? l31 ->
        act ! l31;
        state = 188;
      :: p3 ? l30 ->
        act ! l30;
        state = 237;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 184;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 177;
      fi
    }
  :: state == 208 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 206;
      :: p3 ? l14 ->
        act ! l14;
        state = 207;
      :: p3_2 ! l12 ->

        state = 209;
      :: p3_2 ! l12 ->

        state = 208;
      :: p3_2 ! l10 ->

        state = 208;
      :: p3_2 ! l10 ->

        state = 209;
      :: p3_2 ! l11 ->

        state = 208;
      :: p3_2 ! l11 ->

        state = 209;
      :: p3 ? l31 ->
        act ! l31;
        state = 219;
      :: p3 ? l31 ->
        act ! l31;
        state = 211;
      :: p3 ? l30 ->
        act ! l30;
        state = 215;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 208;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 208;
      fi
    }
  :: state == 224 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 225;
      :: p3 ? l14 ->
        act ! l14;
        state = 226;
      :: p3_2 ! l12 ->

        state = 223;
      :: p3_2 ! l12 ->

        state = 224;
      :: p3_2 ! l10 ->

        state = 223;
      :: p3_2 ! l10 ->

        state = 224;
      :: p3_2 ! l11 ->

        state = 223;
      :: p3_2 ! l11 ->

        state = 224;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 228;
      fi
    }
  :: state == 195 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 196;
      :: p3 ? l14 ->
        act ! l14;
        state = 197;
      :: p3_2 ! l12 ->

        state = 195;
      :: p3_2 ! l12 ->

        state = 194;
      :: p3_2 ! l10 ->

        state = 195;
      :: p3_2 ! l10 ->

        state = 194;
      :: p3_2 ! l11 ->

        state = 195;
      :: p3_2 ! l11 ->

        state = 194;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 177;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 177;
      fi
    }
  :: state == 228 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 229;
      :: p3 ? l14 ->
        act ! l14;
        state = 227;
      :: p3_2 ! l12 ->

        state = 230;
      :: p3_2 ! l12 ->

        state = 228;
      :: p3_2 ! l10 ->

        state = 230;
      :: p3_2 ! l10 ->

        state = 228;
      :: p3_2 ! l11 ->

        state = 230;
      :: p3_2 ! l11 ->

        state = 228;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 177;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 177;
      fi
    }
  :: state == 182 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 181;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 183;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 209;
      fi
    }
  :: state == 199 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 200;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 222;
      fi
    }
  :: state == 222 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 204;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 182;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 183;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      fi
    }
  :: state == 183 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 184;
      :: p3 ? l31 ->
        act ! l31;
        state = 239;
      :: p3 ? l31 ->
        act ! l31;
        state = 231;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 183;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 198;
      fi
    }
  :: state == 223 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 224;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 230;
      fi
    }
  :: state == 194 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 195;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 198;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 198;
      fi
    }
  :: state == 230 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 228;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 194;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 198;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 198;
      fi
    }
  :: state == 288 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 271;
      :: p3 ? l14 ->
        act ! l14;
        state = 250;
      :: p3_2 ! l12 ->

        state = 188;
      :: p3_2 ! l12 ->

        state = 231;
      :: p3_2 ! l10 ->

        state = 188;
      :: p3_2 ! l10 ->

        state = 231;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 287;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 285;
      fi
    }
  :: state == 293 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 269;
      :: p3 ? l14 ->
        act ! l14;
        state = 255;
      :: p3_2 ! l12 ->

        state = 233;
      :: p3_2 ! l12 ->

        state = 239;
      :: p3_2 ! l10 ->

        state = 239;
      :: p3_2 ! l10 ->

        state = 233;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 294;
      fi
    }
  :: state == 294 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 270;
      :: p3_2 ! l12 ->

        state = 237;
      :: p3_2 ! l12 ->

        state = 238;
      :: p3_2 ! l10 ->

        state = 238;
      :: p3_2 ! l10 ->

        state = 237;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 288;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 287;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 289;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 285;
      fi
    }
  :: state == 275 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 254;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 273;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 266;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 266;
      fi
    }
  :: state == 314 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 154;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 294;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 308;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 307;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 309;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 304;
      fi
    }
  :: state == 156 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 156;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 156;
      :: p3 ? l14 ->
        act ! l14;
        state = 156;
      :: p3_2 ! l12 ->

        state = 156;
      :: p3_2 ! l10 ->

        state = 156;
      :: p3_2 ! l11 ->

        state = 156;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 157;
      fi
    }
  :: state == 158 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 158;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 158;
      :: p3 ? l14 ->
        act ! l14;
        state = 158;
      :: p3_2 ! l12 ->

        state = 158;
      :: p3_2 ! l10 ->

        state = 158;
      :: p3_2 ! l11 ->

        state = 158;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 155;
      fi
    }
  :: state == 157 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 157;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 157;
      :: p3 ? l14 ->
        act ! l14;
        state = 157;
      :: p3_2 ! l12 ->

        state = 157;
      :: p3_2 ! l10 ->

        state = 157;
      :: p3_2 ! l11 ->

        state = 157;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 158;
      fi
    }
  :: state == 209 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 208;
      :: p3 ? l31 ->
        act ! l31;
        state = 218;
      :: p3 ? l31 ->
        act ! l31;
        state = 210;
      :: p3 ? l30 ->
        act ! l30;
        state = 217;
      fi
    }
  :: state == 299 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 278;
      :: p3_2 ! l12 ->

        state = 210;
      :: p3_2 ! l12 ->

        state = 211;
      :: p3_2 ! l10 ->

        state = 210;
      :: p3_2 ! l10 ->

        state = 211;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 300;
      fi
    }
  :: state == 298 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 277;
      :: p3_2 ! l12 ->

        state = 218;
      :: p3_2 ! l12 ->

        state = 219;
      :: p3_2 ! l10 ->

        state = 218;
      :: p3_2 ! l10 ->

        state = 219;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 297;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 297;
      fi
    }
  :: state == 300 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 279;
      :: p3_2 ! l12 ->

        state = 215;
      :: p3_2 ! l12 ->

        state = 217;
      :: p3_2 ! l10 ->

        state = 217;
      :: p3_2 ! l10 ->

        state = 215;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 298;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 297;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 297;
      fi
    }
  :: state == 154 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 154;
      :: p4_3 ? l15 ->
        act ! l15;
        state = 154;
      :: p3 ? l14 ->
        act ! l14;
        state = 154;
      :: p3_2 ! l12 ->

        state = 154;
      :: p3_2 ! l10 ->

        state = 154;
      :: p3_2 ! l11 ->

        state = 154;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 148;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 147;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 149;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 145;
      fi
    }
  :: state == 271 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 250;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 268;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 266;
      fi
    }
  :: state == 269 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 255;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 270;
      fi
    }
  :: state == 259 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 207;
      :: p3_2 ! l12 ->

        state = 208;
      :: p3_2 ! l10 ->

        state = 207;
      :: p3_2 ! l10 ->

        state = 208;
      :: p3 ? l31 ->
        act ! l31;
        state = 262;
      :: p3 ? l31 ->
        act ! l31;
        state = 260;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 259;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 259;
      fi
    }
  :: state == 278 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 260;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 279;
      fi
    }
  :: state == 277 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 262;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 276;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 276;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 276;
      fi
    }
  :: state == 202 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 202;
      :: p3_2 ! l12 ->

        state = 200;
      :: p3_2 ! l10 ->

        state = 200;
      :: p3_2 ! l10 ->

        state = 202;
      :: p3_2 ! l11 ->

        state = 200;
      :: p3_2 ! l11 ->

        state = 202;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 203;
      fi
    }
  :: state == 180 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 180;
      :: p3_2 ! l12 ->

        state = 181;
      :: p3_2 ! l10 ->

        state = 181;
      :: p3_2 ! l10 ->

        state = 180;
      :: p3_2 ! l11 ->

        state = 181;
      :: p3_2 ! l11 ->

        state = 180;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 186;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 207;
      fi
    }
  :: state == 203 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 203;
      :: p3_2 ! l12 ->

        state = 204;
      :: p3_2 ! l10 ->

        state = 204;
      :: p3_2 ! l10 ->

        state = 203;
      :: p3_2 ! l11 ->

        state = 203;
      :: p3_2 ! l11 ->

        state = 204;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 180;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 186;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 207;
      fi
    }
  :: state == 186 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 186;
      :: p3_2 ! l12 ->

        state = 184;
      :: p3_2 ! l10 ->

        state = 184;
      :: p3_2 ! l10 ->

        state = 186;
      :: p3_2 ! l11 ->

        state = 184;
      :: p3_2 ! l11 ->

        state = 186;
      :: p3 ? l31 ->
        act ! l31;
        state = 187;
      :: p3 ? l31 ->
        act ! l31;
        state = 232;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 186;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 176;
      fi
    }
  :: state == 197 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 195;
      :: p3_2 ! l12 ->

        state = 197;
      :: p3_2 ! l10 ->

        state = 195;
      :: p3_2 ! l10 ->

        state = 197;
      :: p3_2 ! l11 ->

        state = 195;
      :: p3_2 ! l11 ->

        state = 197;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 176;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 176;
      fi
    }
  :: state == 226 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 224;
      :: p3_2 ! l12 ->

        state = 226;
      :: p3_2 ! l10 ->

        state = 224;
      :: p3_2 ! l10 ->

        state = 226;
      :: p3_2 ! l11 ->

        state = 226;
      :: p3_2 ! l11 ->

        state = 224;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 227;
      fi
    }
  :: state == 227 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 228;
      :: p3_2 ! l12 ->

        state = 227;
      :: p3_2 ! l10 ->

        state = 227;
      :: p3_2 ! l10 ->

        state = 228;
      :: p3_2 ! l11 ->

        state = 227;
      :: p3_2 ! l11 ->

        state = 228;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 176;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 176;
      fi
    }
  :: state == 250 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 187;
      :: p3_2 ! l12 ->

        state = 188;
      :: p3_2 ! l10 ->

        state = 187;
      :: p3_2 ! l10 ->

        state = 188;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 249;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 247;
      fi
    }
  :: state == 255 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 233;
      :: p3_2 ! l12 ->

        state = 232;
      :: p3_2 ! l10 ->

        state = 233;
      :: p3_2 ! l10 ->

        state = 232;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 256;
      fi
    }
  :: state == 256 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 237;
      :: p3_2 ! l12 ->

        state = 236;
      :: p3_2 ! l10 ->

        state = 236;
      :: p3_2 ! l10 ->

        state = 237;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 249;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 247;
      fi
    }
  :: state == 254 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 227;
      :: p3_2 ! l12 ->

        state = 228;
      :: p3_2 ! l10 ->

        state = 227;
      :: p3_2 ! l10 ->

        state = 228;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 252;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 247;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 251;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 247;
      fi
    }
  :: state == 179 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 180;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 185;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      fi
    }
  :: state == 201 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 202;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 205;
      fi
    }
  :: state == 205 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 203;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 185;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 206;
      fi
    }
  :: state == 185 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 186;
      :: p3 ? l31 ->
        act ! l31;
        state = 189;
      :: p3 ? l31 ->
        act ! l31;
        state = 234;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 185;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 178;
      fi
    }
  :: state == 196 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 197;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 178;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 178;
      fi
    }
  :: state == 225 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 226;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 229;
      fi
    }
  :: state == 233 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 234;
      :: p3 ? l14 ->
        act ! l14;
        state = 232;
      :: p3_2 ! l12 ->

        state = 239;
      :: p3_2 ! l12 ->

        state = 233;
      :: p3_2 ! l10 ->

        state = 233;
      :: p3_2 ! l10 ->

        state = 239;
      :: p3_2 ! l11 ->

        state = 239;
      :: p3_2 ! l11 ->

        state = 233;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 237;
      fi
    }
  :: state == 188 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 189;
      :: p3 ? l14 ->
        act ! l14;
        state = 187;
      :: p3_2 ! l12 ->

        state = 231;
      :: p3_2 ! l12 ->

        state = 188;
      :: p3_2 ! l10 ->

        state = 231;
      :: p3_2 ! l10 ->

        state = 188;
      :: p3_2 ! l11 ->

        state = 231;
      :: p3_2 ! l11 ->

        state = 188;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 184;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 177;
      fi
    }
  :: state == 237 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 235;
      :: p3 ? l14 ->
        act ! l14;
        state = 236;
      :: p3_2 ! l12 ->

        state = 238;
      :: p3_2 ! l12 ->

        state = 237;
      :: p3_2 ! l10 ->

        state = 237;
      :: p3_2 ! l10 ->

        state = 238;
      :: p3_2 ! l11 ->

        state = 237;
      :: p3_2 ! l11 ->

        state = 238;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 184;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 192;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 177;
      fi
    }
  :: state == 206 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 207;
      :: p3 ? l31 ->
        act ! l31;
        state = 212;
      :: p3 ? l31 ->
        act ! l31;
        state = 220;
      :: p3 ? l30 ->
        act ! l30;
        state = 216;
      fi
    }
  :: state == 207 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 208;
      :: p3_2 ! l12 ->

        state = 207;
      :: p3_2 ! l10 ->

        state = 208;
      :: p3_2 ! l10 ->

        state = 207;
      :: p3_2 ! l11 ->

        state = 208;
      :: p3_2 ! l11 ->

        state = 207;
      :: p3 ? l31 ->
        act ! l31;
        state = 213;
      :: p3 ? l31 ->
        act ! l31;
        state = 221;
      :: p3 ? l30 ->
        act ! l30;
        state = 214;
      fi
    }
  :: state == 219 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 220;
      :: p3 ? l14 ->
        act ! l14;
        state = 221;
      :: p3_2 ! l12 ->

        state = 218;
      :: p3_2 ! l12 ->

        state = 219;
      :: p3_2 ! l10 ->

        state = 219;
      :: p3_2 ! l10 ->

        state = 218;
      :: p3_2 ! l11 ->

        state = 219;
      :: p3_2 ! l11 ->

        state = 218;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 208;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 208;
      fi
    }
  :: state == 211 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 212;
      :: p3 ? l14 ->
        act ! l14;
        state = 213;
      :: p3_2 ! l12 ->

        state = 210;
      :: p3_2 ! l12 ->

        state = 211;
      :: p3_2 ! l10 ->

        state = 210;
      :: p3_2 ! l10 ->

        state = 211;
      :: p3_2 ! l11 ->

        state = 211;
      :: p3_2 ! l11 ->

        state = 210;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 215;
      fi
    }
  :: state == 215 ->
    atomic {
      if
      :: p4_3 ? l13 ->
        act ! l13;
        state = 216;
      :: p3 ? l14 ->
        act ! l14;
        state = 214;
      :: p3_2 ! l12 ->

        state = 215;
      :: p3_2 ! l12 ->

        state = 217;
      :: p3_2 ! l10 ->

        state = 215;
      :: p3_2 ! l10 ->

        state = 217;
      :: p3_2 ! l11 ->

        state = 217;
      :: p3_2 ! l11 ->

        state = 215;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 208;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 208;
      fi
    }
  :: state == 229 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 227;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 196;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 178;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 178;
      fi
    }
  :: state == 239 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 233;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 238;
      fi
    }
  :: state == 231 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 188;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 183;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 198;
      fi
    }
  :: state == 270 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 256;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 271;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 268;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 272;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 266;
      fi
    }
  :: state == 238 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 237;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 183;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 193;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 198;
      fi
    }
  :: state == 218 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 219;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 209;
      fi
    }
  :: state == 210 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 211;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 217;
      fi
    }
  :: state == 217 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 215;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 209;
      fi
    }
  :: state == 279 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 261;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 276;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 276;
      fi
    }
  :: state == 262 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 221;
      :: p3_2 ! l12 ->

        state = 219;
      :: p3_2 ! l10 ->

        state = 221;
      :: p3_2 ! l10 ->

        state = 219;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 259;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 259;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 259;
      fi
    }
  :: state == 260 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 213;
      :: p3_2 ! l12 ->

        state = 211;
      :: p3_2 ! l10 ->

        state = 213;
      :: p3_2 ! l10 ->

        state = 211;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 261;
      fi
    }
  :: state == 187 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 187;
      :: p3_2 ! l12 ->

        state = 188;
      :: p3_2 ! l10 ->

        state = 187;
      :: p3_2 ! l10 ->

        state = 188;
      :: p3_2 ! l11 ->

        state = 188;
      :: p3_2 ! l11 ->

        state = 187;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 186;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 176;
      fi
    }
  :: state == 232 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 232;
      :: p3_2 ! l12 ->

        state = 233;
      :: p3_2 ! l10 ->

        state = 232;
      :: p3_2 ! l10 ->

        state = 233;
      :: p3_2 ! l11 ->

        state = 233;
      :: p3_2 ! l11 ->

        state = 232;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 236;
      fi
    }
  :: state == 236 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 236;
      :: p3_2 ! l12 ->

        state = 237;
      :: p3_2 ! l10 ->

        state = 237;
      :: p3_2 ! l10 ->

        state = 236;
      :: p3_2 ! l11 ->

        state = 237;
      :: p3_2 ! l11 ->

        state = 236;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 187;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 186;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 191;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 176;
      fi
    }
  :: state == 189 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 187;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 185;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 178;
      fi
    }
  :: state == 234 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 232;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 235;
      fi
    }
  :: state == 235 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 236;
      :: p6_3 ? l32 ->
        act ! l32;
        state = 189;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 185;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 190;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 178;
      fi
    }
  :: state == 212 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 213;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 216;
      fi
    }
  :: state == 220 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 221;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 206;
      fi
    }
  :: state == 216 ->
    atomic {
      if
      :: p4_3 ? l15 ->
        act ! l15;
        state = 214;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 206;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 206;
      fi
    }
  :: state == 213 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 213;
      :: p3_2 ! l12 ->

        state = 211;
      :: p3_2 ! l10 ->

        state = 213;
      :: p3_2 ! l10 ->

        state = 211;
      :: p3_2 ! l11 ->

        state = 213;
      :: p3_2 ! l11 ->

        state = 211;
      :: p6_3 ? l29 ->
        act ! l29;
        state = 214;
      fi
    }
  :: state == 221 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 221;
      :: p3_2 ! l12 ->

        state = 219;
      :: p3_2 ! l10 ->

        state = 221;
      :: p3_2 ! l10 ->

        state = 219;
      :: p3_2 ! l11 ->

        state = 219;
      :: p3_2 ! l11 ->

        state = 221;
      fi
    }
  :: state == 214 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 215;
      :: p3_2 ! l12 ->

        state = 214;
      :: p3_2 ! l10 ->

        state = 215;
      :: p3_2 ! l10 ->

        state = 214;
      :: p3_2 ! l11 ->

        state = 214;
      :: p3_2 ! l11 ->

        state = 215;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 207;
      :: p7_3 ? l26 ->
        act ! l26;
        state = 207;
      :: p7_3 ? l28 ->
        act ! l28;
        state = 207;
      fi
    }
  :: state == 261 ->
    atomic {
      if
      :: p3_2 ! l12 ->

        state = 215;
      :: p3_2 ! l12 ->

        state = 214;
      :: p3_2 ! l10 ->

        state = 215;
      :: p3_2 ! l10 ->

        state = 214;
      :: p7_3 ? l27 ->
        act ! l27;
        state = 259;
      fi
    }
  od
}

/* Process 4 */
active proctype Proc4()
{
  int state = 334;
  do
  :: state == 334 ->
    atomic {
      if
      :: p4 ? nop ->

        state = 322;
      fi
    }
  :: state == 322 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 323;
      :: p5_4 ? l16 ->
        act ! l16;
        state = 333;
      fi
    }
  :: state == 323 ->
    atomic {
      if
      :: p4_3 ! l15 ->

        state = 330;
      :: p4_3 ! l15 ->

        state = 324;
      fi
    }
  :: state == 333 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 333;
      :: p5_4 ? l16 ->
        act ! l16;
        state = 333;
      :: p4_3 ! l13 ->

        state = 333;
      :: p4_3 ! l15 ->

        state = 333;
      fi
    }
  :: state == 330 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 324;
      :: p5_4 ? l16 ->
        act ! l16;
        state = 331;
      :: p4_3 ! l13 ->

        state = 325;
      :: p4_3 ! l15 ->

        state = 330;
      fi
    }
  :: state == 324 ->
    atomic {
      if
      :: p4_3 ! l13 ->

        state = 326;
      :: p4_3 ! l13 ->

        state = 325;
      :: p4_3 ! l15 ->

        state = 330;
      :: p4_3 ! l15 ->

        state = 324;
      fi
    }
  :: state == 331 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 324;
      fi
    }
  :: state == 325 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 326;
      :: p5_4 ? l16 ->
        act ! l16;
        state = 332;
      :: p4_3 ! l15 ->

        state = 330;
      fi
    }
  :: state == 326 ->
    atomic {
      if
      :: p4_3 ! l13 ->

        state = 327;
      :: p4_3 ! l15 ->

        state = 330;
      :: p4_3 ! l15 ->

        state = 324;
      fi
    }
  :: state == 332 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 326;
      fi
    }
  :: state == 327 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 328;
      :: p5_4 ? l16 ->
        act ! l16;
        state = 329;
      fi
    }
  :: state == 328 ->
    atomic {
      if
      :: p4_3 ! l13 ->

        state = 328;
      fi
    }
  :: state == 329 ->
    atomic {
      if
      :: p5_4 ? l17 ->
        act ! l17;
        state = 328;
      fi
    }
  od
}

/* Process 5 */
active proctype Proc5()
{
  int state = 439;
  do
  :: state == 439 ->
    atomic {
      if
      :: p5 ? nop ->

        state = 335;
      fi
    }
  :: state == 335 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 336;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 419;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 426;
      :: p5_0 ! l36 ->

        state = 433;
      :: p5_0 ! l38 ->

        state = 438;
      fi
    }
  :: state == 336 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 337;
      :: p5_0 ! l36 ->

        state = 413;
      :: p5_0 ! l38 ->

        state = 418;
      fi
    }
  :: state == 419 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 336;
      :: p5_4 ! l17 ->

        state = 338;
      :: p5_0 ! l36 ->

        state = 420;
      :: p5_0 ! l38 ->

        state = 425;
      fi
    }
  :: state == 426 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 426;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 426;
      :: p5 ? l18 ->
        act ! l18;
        state = 426;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 426;
      :: p5_4 ! l17 ->

        state = 426;
      :: p5_4 ! l16 ->

        state = 426;
      :: p5_0 ! l36 ->

        state = 427;
      :: p5_0 ! l38 ->

        state = 432;
      fi
    }
  :: state == 433 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 413;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 420;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 427;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 434;
      fi
    }
  :: state == 438 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 418;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 425;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 432;
      :: p5 ? l37 ->
        act ! l37;
        state = 438;
      :: p5_0 ! l36 ->

        state = 438;
      :: p5_0 ! l38 ->

        state = 438;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 438;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 438;
      fi
    }
  :: state == 337 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 338;
      :: p5 ? l18 ->
        act ! l18;
        state = 412;
      :: p5_4 ! l17 ->

        state = 337;
      :: p5_4 ! l16 ->

        state = 340;
      :: p5_0 ! l36 ->

        state = 344;
      :: p5_0 ! l38 ->

        state = 400;
      fi
    }
  :: state == 413 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 344;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 414;
      fi
    }
  :: state == 418 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 400;
      :: p5 ? l37 ->
        act ! l37;
        state = 418;
      :: p5_0 ! l36 ->

        state = 418;
      :: p5_0 ! l38 ->

        state = 418;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 418;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 418;
      fi
    }
  :: state == 338 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 339;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 412;
      :: p5_0 ! l36 ->

        state = 345;
      :: p5_0 ! l38 ->

        state = 401;
      fi
    }
  :: state == 420 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 345;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 421;
      fi
    }
  :: state == 425 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 401;
      :: p5 ? l37 ->
        act ! l37;
        state = 425;
      :: p5_0 ! l36 ->

        state = 425;
      :: p5_0 ! l38 ->

        state = 425;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 425;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 425;
      fi
    }
  :: state == 427 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 427;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 427;
      :: p5 ? l18 ->
        act ! l18;
        state = 427;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 427;
      :: p5_4 ! l17 ->

        state = 427;
      :: p5_4 ! l16 ->

        state = 427;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 428;
      fi
    }
  :: state == 432 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 432;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 432;
      :: p5 ? l18 ->
        act ! l18;
        state = 432;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 432;
      :: p5_4 ! l17 ->

        state = 432;
      :: p5_4 ! l16 ->

        state = 432;
      :: p5 ? l37 ->
        act ! l37;
        state = 432;
      :: p5_0 ! l36 ->

        state = 432;
      :: p5_0 ! l38 ->

        state = 432;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 432;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 432;
      fi
    }
  :: state == 434 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 414;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 421;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 428;
      :: p5 ? l37 ->
        act ! l37;
        state = 435;
      :: p5_0 ! l38 ->

        state = 436;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 437;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 437;
      fi
    }
  :: state == 412 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 338;
      :: p5_4 ! l16 ->

        state = 341;
      :: p5_0 ! l36 ->

        state = 398;
      :: p5_0 ! l38 ->

        state = 410;
      fi
    }
  :: state == 340 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 341;
      :: p5_4 ! l17 ->

        state = 337;
      :: p5_0 ! l36 ->

        state = 347;
      :: p5_0 ! l38 ->

        state = 403;
      fi
    }
  :: state == 344 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 345;
      :: p5_4 ! l17 ->

        state = 344;
      :: p5_4 ! l16 ->

        state = 347;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 353;
      fi
    }
  :: state == 400 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 401;
      :: p5_4 ! l17 ->

        state = 400;
      :: p5_4 ! l16 ->

        state = 403;
      :: p5 ? l37 ->
        act ! l37;
        state = 400;
      :: p5_0 ! l36 ->

        state = 400;
      :: p5_0 ! l38 ->

        state = 400;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 400;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 400;
      fi
    }
  :: state == 414 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 353;
      :: p5 ? l37 ->
        act ! l37;
        state = 415;
      :: p5_0 ! l38 ->

        state = 416;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 417;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 417;
      fi
    }
  :: state == 339 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 337;
      :: p5_4 ! l16 ->

        state = 340;
      :: p5_0 ! l36 ->

        state = 346;
      :: p5_0 ! l38 ->

        state = 402;
      fi
    }
  :: state == 345 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 346;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 398;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 351;
      fi
    }
  :: state == 401 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 402;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 410;
      :: p5 ? l37 ->
        act ! l37;
        state = 401;
      :: p5_0 ! l36 ->

        state = 401;
      :: p5_0 ! l38 ->

        state = 401;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 401;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 401;
      fi
    }
  :: state == 421 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 351;
      :: p5 ? l37 ->
        act ! l37;
        state = 422;
      :: p5_0 ! l38 ->

        state = 423;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 424;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 424;
      fi
    }
  :: state == 428 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 428;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 428;
      :: p5 ? l18 ->
        act ! l18;
        state = 428;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 428;
      :: p5_4 ! l17 ->

        state = 428;
      :: p5_4 ! l16 ->

        state = 428;
      :: p5 ? l37 ->
        act ! l37;
        state = 429;
      :: p5_0 ! l38 ->

        state = 430;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 431;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 431;
      fi
    }
  :: state == 435 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 415;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 422;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 429;
      :: p5_0 ! l36 ->

        state = 436;
      fi
    }
  :: state == 436 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 416;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 423;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 430;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 434;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 434;
      fi
    }
  :: state == 437 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 417;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 424;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 431;
      :: p5 ? l37 ->
        act ! l37;
        state = 434;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 437;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 437;
      fi
    }
  :: state == 341 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 342;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 411;
      :: p5_0 ! l36 ->

        state = 348;
      :: p5_0 ! l38 ->

        state = 404;
      fi
    }
  :: state == 398 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 346;
      :: p5_4 ! l17 ->

        state = 345;
      :: p5_4 ! l16 ->

        state = 348;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 354;
      fi
    }
  :: state == 410 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 401;
      :: p5_4 ! l16 ->

        state = 404;
      :: p5 ? l37 ->
        act ! l37;
        state = 410;
      :: p5_0 ! l36 ->

        state = 410;
      :: p5_0 ! l38 ->

        state = 410;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 410;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 410;
      fi
    }
  :: state == 347 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 348;
      :: p5_4 ! l17 ->

        state = 344;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 387;
      fi
    }
  :: state == 403 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 404;
      :: p5 ? l18 ->
        act ! l18;
        state = 405;
      :: p5_4 ! l17 ->

        state = 400;
      :: p5 ? l37 ->
        act ! l37;
        state = 403;
      :: p5_0 ! l36 ->

        state = 403;
      :: p5_0 ! l38 ->

        state = 403;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 403;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 403;
      fi
    }
  :: state == 353 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 351;
      :: p5 ? l18 ->
        act ! l18;
        state = 354;
      :: p5_4 ! l17 ->

        state = 353;
      :: p5_4 ! l16 ->

        state = 387;
      :: p5 ? l37 ->
        act ! l37;
        state = 374;
      :: p5_0 ! l38 ->

        state = 382;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 391;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 391;
      fi
    }
  :: state == 415 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 374;
      :: p5_0 ! l36 ->

        state = 416;
      fi
    }
  :: state == 416 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 382;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 414;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 414;
      fi
    }
  :: state == 417 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 391;
      :: p5 ? l37 ->
        act ! l37;
        state = 414;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 417;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 417;
      fi
    }
  :: state == 346 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 344;
      :: p5_4 ! l16 ->

        state = 347;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 352;
      fi
    }
  :: state == 402 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 400;
      :: p5_4 ! l16 ->

        state = 403;
      :: p5 ? l37 ->
        act ! l37;
        state = 402;
      :: p5_0 ! l36 ->

        state = 402;
      :: p5_0 ! l38 ->

        state = 402;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 402;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 402;
      fi
    }
  :: state == 351 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 352;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 354;
      :: p5 ? l37 ->
        act ! l37;
        state = 375;
      :: p5_0 ! l38 ->

        state = 383;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 392;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 392;
      fi
    }
  :: state == 422 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 415;
      :: p5_4 ! l17 ->

        state = 375;
      :: p5_0 ! l36 ->

        state = 423;
      fi
    }
  :: state == 423 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 383;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 421;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 421;
      fi
    }
  :: state == 424 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 392;
      :: p5 ? l37 ->
        act ! l37;
        state = 421;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 424;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 424;
      fi
    }
  :: state == 429 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 429;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 429;
      :: p5 ? l18 ->
        act ! l18;
        state = 429;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 429;
      :: p5_4 ! l17 ->

        state = 429;
      :: p5_4 ! l16 ->

        state = 429;
      :: p5_0 ! l36 ->

        state = 430;
      fi
    }
  :: state == 430 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 430;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 430;
      :: p5 ? l18 ->
        act ! l18;
        state = 430;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 430;
      :: p5_4 ! l17 ->

        state = 430;
      :: p5_4 ! l16 ->

        state = 430;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 428;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 428;
      fi
    }
  :: state == 431 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 431;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 431;
      :: p5 ? l18 ->
        act ! l18;
        state = 431;
      :: p6_5 ? l21 ->
        act ! l21;
        state = 431;
      :: p5_4 ! l17 ->

        state = 431;
      :: p5_4 ! l16 ->

        state = 431;
      :: p5 ? l37 ->
        act ! l37;
        state = 428;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 431;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 431;
      fi
    }
  :: state == 342 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 337;
      :: p5_0 ! l36 ->

        state = 343;
      :: p5_0 ! l38 ->

        state = 399;
      fi
    }
  :: state == 411 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 338;
      :: p5_0 ! l36 ->

        state = 349;
      :: p5_0 ! l38 ->

        state = 405;
      fi
    }
  :: state == 348 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 343;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 349;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 355;
      fi
    }
  :: state == 404 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 399;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 405;
      :: p5 ? l37 ->
        act ! l37;
        state = 404;
      :: p5_0 ! l36 ->

        state = 404;
      :: p5_0 ! l38 ->

        state = 404;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 404;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 404;
      fi
    }
  :: state == 354 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 352;
      :: p5_4 ! l17 ->

        state = 351;
      :: p5_4 ! l16 ->

        state = 355;
      :: p5 ? l37 ->
        act ! l37;
        state = 397;
      :: p5_0 ! l38 ->

        state = 396;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 394;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 394;
      fi
    }
  :: state == 387 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 355;
      :: p5_4 ! l17 ->

        state = 353;
      :: p5_4 ! l16 ->

        state = 357;
      :: p5 ? l37 ->
        act ! l37;
        state = 377;
      :: p5_0 ! l38 ->

        state = 385;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 388;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 388;
      fi
    }
  :: state == 405 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 399;
      :: p5_4 ! l17 ->

        state = 401;
      :: p5_4 ! l16 ->

        state = 406;
      :: p5 ? l37 ->
        act ! l37;
        state = 405;
      :: p5_0 ! l36 ->

        state = 405;
      :: p5_0 ! l38 ->

        state = 405;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 405;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 405;
      fi
    }
  :: state == 374 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 375;
      :: p5_4 ! l17 ->

        state = 374;
      :: p5_4 ! l16 ->

        state = 377;
      :: p5_0 ! l36 ->

        state = 382;
      fi
    }
  :: state == 382 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 383;
      :: p5 ? l18 ->
        act ! l18;
        state = 396;
      :: p5_4 ! l17 ->

        state = 382;
      :: p5_4 ! l16 ->

        state = 385;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 353;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 353;
      fi
    }
  :: state == 391 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 392;
      :: p5 ? l18 ->
        act ! l18;
        state = 394;
      :: p5_4 ! l17 ->

        state = 391;
      :: p5_4 ! l16 ->

        state = 388;
      :: p5 ? l37 ->
        act ! l37;
        state = 353;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 391;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 391;
      fi
    }
  :: state == 352 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 353;
      :: p5_4 ! l16 ->

        state = 387;
      :: p5 ? l37 ->
        act ! l37;
        state = 376;
      :: p5_0 ! l38 ->

        state = 384;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 393;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 393;
      fi
    }
  :: state == 375 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 376;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 397;
      :: p5_0 ! l36 ->

        state = 383;
      fi
    }
  :: state == 383 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 384;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 396;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 351;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 351;
      fi
    }
  :: state == 392 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 393;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 394;
      :: p5 ? l37 ->
        act ! l37;
        state = 351;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 392;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 392;
      fi
    }
  :: state == 343 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 344;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 356;
      fi
    }
  :: state == 399 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 400;
      :: p5 ? l37 ->
        act ! l37;
        state = 399;
      :: p5_0 ! l36 ->

        state = 399;
      :: p5_0 ! l38 ->

        state = 399;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 399;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 399;
      fi
    }
  :: state == 349 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 345;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 350;
      fi
    }
  :: state == 355 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 356;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 350;
      :: p5 ? l37 ->
        act ! l37;
        state = 378;
      :: p5_0 ! l38 ->

        state = 386;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 389;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 389;
      fi
    }
  :: state == 397 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 376;
      :: p5_4 ! l17 ->

        state = 375;
      :: p5_4 ! l16 ->

        state = 378;
      :: p5_0 ! l36 ->

        state = 396;
      fi
    }
  :: state == 396 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 384;
      :: p5_4 ! l17 ->

        state = 383;
      :: p5_4 ! l16 ->

        state = 386;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 354;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 354;
      fi
    }
  :: state == 394 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 392;
      :: p5_4 ! l16 ->

        state = 389;
      :: p5 ? l37 ->
        act ! l37;
        state = 354;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 394;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 394;
      fi
    }
  :: state == 357 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 358;
      :: p5 ? l18 ->
        act ! l18;
        state = 366;
      :: p5_4 ! l16 ->

        state = 357;
      :: p5 ? l37 ->
        act ! l37;
        state = 361;
      :: p5_0 ! l38 ->

        state = 372;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 369;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 369;
      fi
    }
  :: state == 377 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 378;
      :: p5_4 ! l17 ->

        state = 374;
      :: p5_4 ! l16 ->

        state = 361;
      :: p5_0 ! l36 ->

        state = 385;
      fi
    }
  :: state == 385 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 386;
      :: p5 ? l18 ->
        act ! l18;
        state = 380;
      :: p5_4 ! l17 ->

        state = 382;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 387;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 387;
      fi
    }
  :: state == 388 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 389;
      :: p5_4 ! l17 ->

        state = 391;
      :: p5 ? l37 ->
        act ! l37;
        state = 387;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 388;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 388;
      fi
    }
  :: state == 406 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 407;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 409;
      :: p5 ? l37 ->
        act ! l37;
        state = 406;
      :: p5_0 ! l36 ->

        state = 406;
      :: p5_0 ! l38 ->

        state = 406;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 406;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 406;
      fi
    }
  :: state == 376 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 374;
      :: p5_4 ! l16 ->

        state = 377;
      :: p5_0 ! l36 ->

        state = 384;
      fi
    }
  :: state == 384 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 382;
      :: p5_4 ! l16 ->

        state = 385;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 352;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 352;
      fi
    }
  :: state == 393 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 391;
      :: p5_4 ! l16 ->

        state = 388;
      :: p5 ? l37 ->
        act ! l37;
        state = 352;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 393;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 393;
      fi
    }
  :: state == 356 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 353;
      :: p5_4 ! l16 ->

        state = 357;
      :: p5 ? l37 ->
        act ! l37;
        state = 373;
      :: p5_0 ! l38 ->

        state = 381;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 390;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 390;
      fi
    }
  :: state == 350 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 351;
      :: p5 ? l37 ->
        act ! l37;
        state = 379;
      :: p5_0 ! l38 ->

        state = 380;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 395;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 395;
      fi
    }
  :: state == 378 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 373;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 379;
      :: p5_0 ! l36 ->

        state = 386;
      fi
    }
  :: state == 386 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 381;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 380;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 355;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 355;
      fi
    }
  :: state == 389 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 390;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 395;
      :: p5 ? l37 ->
        act ! l37;
        state = 355;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 389;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 389;
      fi
    }
  :: state == 358 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 359;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 366;
      :: p5 ? l37 ->
        act ! l37;
        state = 362;
      :: p5_0 ! l38 ->

        state = 371;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 370;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 370;
      fi
    }
  :: state == 366 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 359;
      :: p5 ? l37 ->
        act ! l37;
        state = 363;
      :: p5_0 ! l38 ->

        state = 364;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 367;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 367;
      fi
    }
  :: state == 361 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 362;
      :: p5 ? l18 ->
        act ! l18;
        state = 363;
      :: p5_0 ! l36 ->

        state = 372;
      fi
    }
  :: state == 372 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 371;
      :: p5 ? l18 ->
        act ! l18;
        state = 364;
      :: p5_4 ! l17 ->

        state = 372;
      :: p5_4 ! l16 ->

        state = 372;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 357;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 357;
      fi
    }
  :: state == 369 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 370;
      :: p5 ? l18 ->
        act ! l18;
        state = 367;
      :: p5_4 ! l17 ->

        state = 369;
      :: p5_4 ! l16 ->

        state = 369;
      :: p5 ? l37 ->
        act ! l37;
        state = 357;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 369;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 369;
      fi
    }
  :: state == 380 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 381;
      :: p5_4 ! l17 ->

        state = 383;
      :: p5_4 ! l16 ->

        state = 371;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 350;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 350;
      fi
    }
  :: state == 407 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 408;
      :: p5 ? l37 ->
        act ! l37;
        state = 407;
      :: p5_0 ! l36 ->

        state = 407;
      :: p5_0 ! l38 ->

        state = 407;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 407;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 407;
      fi
    }
  :: state == 409 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 407;
      :: p5_4 ! l17 ->

        state = 406;
      :: p5_4 ! l16 ->

        state = 406;
      :: p5 ? l37 ->
        act ! l37;
        state = 409;
      :: p5_0 ! l36 ->

        state = 409;
      :: p5_0 ! l38 ->

        state = 409;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 409;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 409;
      fi
    }
  :: state == 373 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 374;
      :: p5_0 ! l36 ->

        state = 381;
      fi
    }
  :: state == 381 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 382;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 356;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 356;
      fi
    }
  :: state == 390 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 391;
      :: p5 ? l37 ->
        act ! l37;
        state = 356;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 390;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 390;
      fi
    }
  :: state == 379 ->
    atomic {
      if
      :: p5_4 ! l17 ->

        state = 375;
      :: p5_4 ! l16 ->

        state = 362;
      :: p5_0 ! l36 ->

        state = 380;
      fi
    }
  :: state == 395 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 390;
      :: p5_4 ! l17 ->

        state = 392;
      :: p5_4 ! l16 ->

        state = 370;
      :: p5 ? l37 ->
        act ! l37;
        state = 350;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 395;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 395;
      fi
    }
  :: state == 359 ->
    atomic {
      if
      :: p5 ? l37 ->
        act ! l37;
        state = 360;
      :: p5_0 ! l38 ->

        state = 365;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 368;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 368;
      fi
    }
  :: state == 362 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 360;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 363;
      :: p5_0 ! l36 ->

        state = 371;
      fi
    }
  :: state == 371 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 365;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 364;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 358;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 358;
      fi
    }
  :: state == 370 ->
    atomic {
      if
      :: p6_5 ? l20 ->
        act ! l20;
        state = 368;
      :: p6_5 ? l19 ->
        act ! l19;
        state = 367;
      :: p5 ? l37 ->
        act ! l37;
        state = 358;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 370;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 370;
      fi
    }
  :: state == 363 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 360;
      :: p5_4 ! l17 ->

        state = 362;
      :: p5_4 ! l16 ->

        state = 362;
      :: p5_0 ! l36 ->

        state = 364;
      fi
    }
  :: state == 364 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 365;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 366;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 366;
      fi
    }
  :: state == 367 ->
    atomic {
      if
      :: p6_5 ? l21 ->
        act ! l21;
        state = 368;
      :: p5_4 ! l16 ->

        state = 370;
      :: p5 ? l37 ->
        act ! l37;
        state = 366;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 367;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 367;
      fi
    }
  :: state == 408 ->
    atomic {
      if
      :: p6_5 ? l19 ->
        act ! l19;
        state = 406;
      :: p5 ? l18 ->
        act ! l18;
        state = 409;
      :: p5_4 ! l17 ->

        state = 408;
      :: p5_4 ! l16 ->

        state = 408;
      :: p5 ? l37 ->
        act ! l37;
        state = 408;
      :: p5_0 ! l36 ->

        state = 408;
      :: p5_0 ! l38 ->

        state = 408;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 408;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 408;
      fi
    }
  :: state == 360 ->
    atomic {
      if
      :: p5_4 ! l16 ->

        state = 361;
      :: p5_0 ! l36 ->

        state = 365;
      fi
    }
  :: state == 365 ->
    atomic {
      if
      :: p6_5 ? l34 ->
        act ! l34;
        state = 359;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 359;
      fi
    }
  :: state == 368 ->
    atomic {
      if
      :: p5_4 ! l16 ->

        state = 369;
      :: p5 ? l37 ->
        act ! l37;
        state = 359;
      :: p6_5 ? l34 ->
        act ! l34;
        state = 368;
      :: p6_5 ? l33 ->
        act ! l33;
        state = 368;
      fi
    }
  od
}

/* Process 6 */
active proctype Proc6()
{
  int state = 510;
  do
  :: state == 510 ->
    atomic {
      if
      :: p6 ? nop ->

        state = 440;
      fi
    }
  :: state == 440 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 441;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 486;
      :: p6_5 ! l34 ->

        state = 495;
      :: p6_5 ! l33 ->

        state = 497;
      :: p6 ? l35 ->
        act ! l35;
        state = 507;
      fi
    }
  :: state == 441 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 444;
      :: p6_5 ! l20 ->

        state = 442;
      :: p6_5 ! l19 ->

        state = 444;
      :: p6_5 ! l19 ->

        state = 442;
      :: p6_5 ! l34 ->

        state = 478;
      :: p6_5 ! l33 ->

        state = 479;
      :: p6 ? l35 ->
        act ! l35;
        state = 485;
      fi
    }
  :: state == 486 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 486;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 486;
      :: p6 ? l25 ->
        act ! l25;
        state = 486;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 486;
      :: p6_5 ! l20 ->

        state = 486;
      :: p6_5 ! l19 ->

        state = 486;
      :: p6_5 ! l21 ->

        state = 486;
      :: p6_5 ! l34 ->

        state = 487;
      :: p6_5 ! l33 ->

        state = 488;
      :: p6 ? l35 ->
        act ! l35;
        state = 494;
      fi
    }
  :: state == 495 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 478;
      :: p6 ? l25 ->
        act ! l25;
        state = 496;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 487;
      :: p6_5 ! l34 ->

        state = 495;
      :: p6_5 ! l33 ->

        state = 495;
      :: p6 ? l35 ->
        act ! l35;
        state = 495;
      :: p6_3 ! l29 ->

        state = 495;
      :: p6_3 ! l32 ->

        state = 495;
      fi
    }
  :: state == 497 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 479;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 488;
      :: p6_5 ! l34 ->

        state = 498;
      fi
    }
  :: state == 507 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 485;
      :: p6 ? l25 ->
        act ! l25;
        state = 508;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 494;
      :: p6_5 ! l33 ->

        state = 498;
      fi
    }
  :: state == 444 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 445;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 442;
      :: p6_5 ! l34 ->

        state = 449;
      :: p6_5 ! l33 ->

        state = 452;
      fi
    }
  :: state == 442 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 443;
      :: p6 ? l25 ->
        act ! l25;
        state = 445;
      :: p6_5 ! l34 ->

        state = 448;
      :: p6_5 ! l33 ->

        state = 453;
      fi
    }
  :: state == 478 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 449;
      :: p6_5 ! l20 ->

        state = 448;
      :: p6_5 ! l19 ->

        state = 449;
      :: p6_5 ! l19 ->

        state = 448;
      :: p6_5 ! l34 ->

        state = 478;
      :: p6_5 ! l33 ->

        state = 478;
      :: p6 ? l35 ->
        act ! l35;
        state = 478;
      :: p6_3 ! l29 ->

        state = 478;
      :: p6_3 ! l32 ->

        state = 478;
      fi
    }
  :: state == 479 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 452;
      :: p6_5 ! l20 ->

        state = 453;
      :: p6_5 ! l19 ->

        state = 453;
      :: p6_5 ! l19 ->

        state = 452;
      :: p6_5 ! l34 ->

        state = 480;
      fi
    }
  :: state == 485 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 477;
      :: p6_5 ! l20 ->

        state = 475;
      :: p6_5 ! l19 ->

        state = 477;
      :: p6_5 ! l19 ->

        state = 475;
      :: p6_5 ! l33 ->

        state = 480;
      fi
    }
  :: state == 487 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 487;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 487;
      :: p6 ? l25 ->
        act ! l25;
        state = 487;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 487;
      :: p6_5 ! l20 ->

        state = 487;
      :: p6_5 ! l19 ->

        state = 487;
      :: p6_5 ! l21 ->

        state = 487;
      :: p6_5 ! l34 ->

        state = 487;
      :: p6_5 ! l33 ->

        state = 487;
      :: p6 ? l35 ->
        act ! l35;
        state = 487;
      :: p6_3 ! l29 ->

        state = 487;
      :: p6_3 ! l32 ->

        state = 487;
      fi
    }
  :: state == 488 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 488;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 488;
      :: p6 ? l25 ->
        act ! l25;
        state = 488;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 488;
      :: p6_5 ! l20 ->

        state = 488;
      :: p6_5 ! l19 ->

        state = 488;
      :: p6_5 ! l21 ->

        state = 488;
      :: p6_5 ! l34 ->

        state = 489;
      fi
    }
  :: state == 494 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 494;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 494;
      :: p6 ? l25 ->
        act ! l25;
        state = 494;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 494;
      :: p6_5 ! l20 ->

        state = 494;
      :: p6_5 ! l19 ->

        state = 494;
      :: p6_5 ! l21 ->

        state = 494;
      :: p6_5 ! l33 ->

        state = 489;
      fi
    }
  :: state == 496 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 478;
      :: p6_5 ! l34 ->

        state = 496;
      :: p6_5 ! l33 ->

        state = 496;
      :: p6 ? l35 ->
        act ! l35;
        state = 496;
      :: p6_3 ! l29 ->

        state = 496;
      :: p6_3 ! l32 ->

        state = 496;
      fi
    }
  :: state == 498 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 480;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 489;
      :: p6_3 ! l29 ->

        state = 499;
      :: p6_3 ! l29 ->

        state = 504;
      :: p6_3 ! l29 ->

        state = 506;
      fi
    }
  :: state == 508 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 485;
      :: p6_5 ! l33 ->

        state = 509;
      fi
    }
  :: state == 445 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 443;
      :: p6_5 ! l34 ->

        state = 446;
      :: p6_5 ! l33 ->

        state = 450;
      fi
    }
  :: state == 449 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 446;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 447;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 448;
      :: p6_5 ! l34 ->

        state = 449;
      :: p6_5 ! l33 ->

        state = 449;
      :: p6 ? l35 ->
        act ! l35;
        state = 449;
      :: p6_3 ! l29 ->

        state = 449;
      :: p6_3 ! l32 ->

        state = 449;
      fi
    }
  :: state == 452 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 450;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 453;
      :: p6_5 ! l34 ->

        state = 456;
      fi
    }
  :: state == 443 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 442;
      :: p6_5 ! l20 ->

        state = 444;
      :: p6_5 ! l19 ->

        state = 444;
      :: p6_5 ! l19 ->

        state = 442;
      :: p6_5 ! l21 ->

        state = 442;
      :: p6_5 ! l21 ->

        state = 444;
      :: p6_5 ! l34 ->

        state = 447;
      :: p6_5 ! l33 ->

        state = 451;
      :: p6 ? l35 ->
        act ! l35;
        state = 474;
      fi
    }
  :: state == 448 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 447;
      :: p6 ? l25 ->
        act ! l25;
        state = 446;
      :: p6_5 ! l34 ->

        state = 448;
      :: p6_5 ! l33 ->

        state = 448;
      :: p6 ? l35 ->
        act ! l35;
        state = 448;
      :: p6_3 ! l29 ->

        state = 448;
      :: p6_3 ! l32 ->

        state = 448;
      fi
    }
  :: state == 453 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 451;
      :: p6 ? l25 ->
        act ! l25;
        state = 450;
      :: p6_5 ! l34 ->

        state = 454;
      fi
    }
  :: state == 480 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 454;
      :: p6_5 ! l20 ->

        state = 456;
      :: p6_5 ! l19 ->

        state = 454;
      :: p6_5 ! l19 ->

        state = 456;
      :: p6_3 ! l29 ->

        state = 484;
      :: p6_3 ! l29 ->

        state = 483;
      :: p6_3 ! l29 ->

        state = 481;
      fi
    }
  :: state == 477 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 474;
      :: p6 ? l25 ->
        act ! l25;
        state = 476;
      :: p6_5 ! l33 ->

        state = 454;
      fi
    }
  :: state == 475 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 476;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 477;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 474;
      :: p6_5 ! l33 ->

        state = 456;
      fi
    }
  :: state == 489 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 489;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 489;
      :: p6 ? l25 ->
        act ! l25;
        state = 489;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 489;
      :: p6_5 ! l20 ->

        state = 489;
      :: p6_5 ! l19 ->

        state = 489;
      :: p6_5 ! l21 ->

        state = 489;
      :: p6_3 ! l29 ->

        state = 492;
      :: p6_3 ! l29 ->

        state = 490;
      :: p6_3 ! l29 ->

        state = 493;
      fi
    }
  :: state == 499 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 483;
      :: p6 ? l25 ->
        act ! l25;
        state = 500;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 493;
      :: p6_5 ! l33 ->

        state = 504;
      :: p6 ? l35 ->
        act ! l35;
        state = 506;
      fi
    }
  :: state == 504 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 484;
      :: p6 ? l25 ->
        act ! l25;
        state = 501;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 492;
      :: p6_5 ! l34 ->

        state = 505;
      fi
    }
  :: state == 506 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 481;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 490;
      :: p6_5 ! l33 ->

        state = 505;
      fi
    }
  :: state == 509 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 480;
      :: p6_3 ! l29 ->

        state = 501;
      :: p6_3 ! l29 ->

        state = 500;
      :: p6_3 ! l29 ->

        state = 503;
      fi
    }
  :: state == 446 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 447;
      :: p6_5 ! l34 ->

        state = 446;
      :: p6_5 ! l33 ->

        state = 446;
      :: p6 ? l35 ->
        act ! l35;
        state = 446;
      :: p6_3 ! l29 ->

        state = 446;
      :: p6_3 ! l32 ->

        state = 446;
      fi
    }
  :: state == 450 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 451;
      :: p6_5 ! l34 ->

        state = 457;
      fi
    }
  :: state == 447 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 449;
      :: p6_5 ! l20 ->

        state = 448;
      :: p6_5 ! l19 ->

        state = 449;
      :: p6_5 ! l19 ->

        state = 448;
      :: p6_5 ! l21 ->

        state = 449;
      :: p6_5 ! l21 ->

        state = 448;
      :: p6_5 ! l34 ->

        state = 447;
      :: p6_5 ! l33 ->

        state = 447;
      :: p6 ? l35 ->
        act ! l35;
        state = 447;
      :: p6_3 ! l29 ->

        state = 447;
      :: p6_3 ! l32 ->

        state = 447;
      fi
    }
  :: state == 456 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 457;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 455;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 454;
      :: p6_3 ! l29 ->

        state = 473;
      :: p6_3 ! l29 ->

        state = 471;
      :: p6_3 ! l29 ->

        state = 460;
      fi
    }
  :: state == 451 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 453;
      :: p6_5 ! l20 ->

        state = 452;
      :: p6_5 ! l19 ->

        state = 453;
      :: p6_5 ! l19 ->

        state = 452;
      :: p6_5 ! l21 ->

        state = 453;
      :: p6_5 ! l21 ->

        state = 452;
      :: p6_5 ! l34 ->

        state = 455;
      fi
    }
  :: state == 474 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 475;
      :: p6_5 ! l20 ->

        state = 477;
      :: p6_5 ! l19 ->

        state = 475;
      :: p6_5 ! l19 ->

        state = 477;
      :: p6_5 ! l21 ->

        state = 475;
      :: p6_5 ! l21 ->

        state = 477;
      :: p6_5 ! l33 ->

        state = 455;
      fi
    }
  :: state == 454 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 455;
      :: p6 ? l25 ->
        act ! l25;
        state = 457;
      :: p6_3 ! l29 ->

        state = 461;
      :: p6_3 ! l29 ->

        state = 468;
      :: p6_3 ! l29 ->

        state = 469;
      fi
    }
  :: state == 484 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 461;
      :: p6_5 ! l20 ->

        state = 460;
      :: p6_5 ! l19 ->

        state = 461;
      :: p6_5 ! l19 ->

        state = 460;
      :: p6_5 ! l34 ->

        state = 482;
      fi
    }
  :: state == 483 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 468;
      :: p6_5 ! l20 ->

        state = 473;
      :: p6_5 ! l19 ->

        state = 473;
      :: p6_5 ! l19 ->

        state = 468;
      :: p6_5 ! l33 ->

        state = 484;
      :: p6 ? l35 ->
        act ! l35;
        state = 481;
      fi
    }
  :: state == 481 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 469;
      :: p6_5 ! l20 ->

        state = 471;
      :: p6_5 ! l19 ->

        state = 471;
      :: p6_5 ! l19 ->

        state = 469;
      :: p6_5 ! l33 ->

        state = 482;
      fi
    }
  :: state == 476 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 474;
      :: p6_5 ! l33 ->

        state = 457;
      fi
    }
  :: state == 492 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 492;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 492;
      :: p6 ? l25 ->
        act ! l25;
        state = 492;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 492;
      :: p6_5 ! l20 ->

        state = 492;
      :: p6_5 ! l19 ->

        state = 492;
      :: p6_5 ! l21 ->

        state = 492;
      :: p6_5 ! l34 ->

        state = 491;
      fi
    }
  :: state == 490 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 490;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 490;
      :: p6 ? l25 ->
        act ! l25;
        state = 490;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 490;
      :: p6_5 ! l20 ->

        state = 490;
      :: p6_5 ! l19 ->

        state = 490;
      :: p6_5 ! l21 ->

        state = 490;
      :: p6_5 ! l33 ->

        state = 491;
      fi
    }
  :: state == 493 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 493;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 493;
      :: p6 ? l25 ->
        act ! l25;
        state = 493;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 493;
      :: p6_5 ! l20 ->

        state = 493;
      :: p6_5 ! l19 ->

        state = 493;
      :: p6_5 ! l21 ->

        state = 493;
      :: p6_5 ! l33 ->

        state = 492;
      :: p6 ? l35 ->
        act ! l35;
        state = 490;
      fi
    }
  :: state == 500 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 483;
      :: p6_5 ! l33 ->

        state = 501;
      fi
    }
  :: state == 501 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 484;
      :: p6_5 ! l34 ->

        state = 502;
      fi
    }
  :: state == 505 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 482;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 491;
      :: p6_3 ! l29 ->

        state = 506;
      :: p6_3 ! l29 ->

        state = 504;
      :: p6_3 ! l29 ->

        state = 499;
      :: p6_3 ! l32 ->

        state = 506;
      :: p6_3 ! l32 ->

        state = 504;
      :: p6_3 ! l32 ->

        state = 499;
      fi
    }
  :: state == 503 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 481;
      :: p6_5 ! l33 ->

        state = 502;
      fi
    }
  :: state == 457 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 455;
      :: p6_3 ! l29 ->

        state = 466;
      :: p6_3 ! l29 ->

        state = 472;
      :: p6_3 ! l29 ->

        state = 458;
      fi
    }
  :: state == 455 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 454;
      :: p6_5 ! l20 ->

        state = 456;
      :: p6_5 ! l19 ->

        state = 454;
      :: p6_5 ! l19 ->

        state = 456;
      :: p6_5 ! l21 ->

        state = 454;
      :: p6_5 ! l21 ->

        state = 456;
      :: p6_3 ! l29 ->

        state = 459;
      :: p6_3 ! l29 ->

        state = 470;
      :: p6_3 ! l29 ->

        state = 467;
      fi
    }
  :: state == 473 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 466;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 468;
      :: p6_5 ! l33 ->

        state = 460;
      :: p6 ? l35 ->
        act ! l35;
        state = 471;
      fi
    }
  :: state == 471 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 472;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 469;
      :: p6_5 ! l33 ->

        state = 464;
      fi
    }
  :: state == 460 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 458;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 461;
      :: p6_5 ! l34 ->

        state = 464;
      fi
    }
  :: state == 461 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 459;
      :: p6 ? l25 ->
        act ! l25;
        state = 458;
      :: p6_5 ! l34 ->

        state = 462;
      fi
    }
  :: state == 468 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 467;
      :: p6 ? l25 ->
        act ! l25;
        state = 466;
      :: p6_5 ! l33 ->

        state = 461;
      :: p6 ? l35 ->
        act ! l35;
        state = 469;
      fi
    }
  :: state == 469 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 470;
      :: p6 ? l25 ->
        act ! l25;
        state = 472;
      :: p6_5 ! l33 ->

        state = 462;
      fi
    }
  :: state == 482 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 464;
      :: p6_5 ! l20 ->

        state = 462;
      :: p6_5 ! l19 ->

        state = 462;
      :: p6_5 ! l19 ->

        state = 464;
      :: p6_3 ! l29 ->

        state = 481;
      :: p6_3 ! l29 ->

        state = 484;
      :: p6_3 ! l29 ->

        state = 483;
      :: p6_3 ! l32 ->

        state = 481;
      :: p6_3 ! l32 ->

        state = 484;
      :: p6_3 ! l32 ->

        state = 483;
      fi
    }
  :: state == 491 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 491;
      :: p7_6 ? l24 ->
        act ! l24;
        state = 491;
      :: p6 ? l25 ->
        act ! l25;
        state = 491;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 491;
      :: p6_5 ! l20 ->

        state = 491;
      :: p6_5 ! l19 ->

        state = 491;
      :: p6_5 ! l21 ->

        state = 491;
      :: p6_3 ! l29 ->

        state = 492;
      :: p6_3 ! l29 ->

        state = 493;
      :: p6_3 ! l29 ->

        state = 490;
      :: p6_3 ! l32 ->

        state = 490;
      :: p6_3 ! l32 ->

        state = 492;
      :: p6_3 ! l32 ->

        state = 493;
      fi
    }
  :: state == 502 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 482;
      :: p6_3 ! l29 ->

        state = 500;
      :: p6_3 ! l29 ->

        state = 501;
      :: p6_3 ! l29 ->

        state = 503;
      :: p6_3 ! l32 ->

        state = 501;
      :: p6_3 ! l32 ->

        state = 503;
      :: p6_3 ! l32 ->

        state = 500;
      fi
    }
  :: state == 466 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 467;
      :: p6_5 ! l33 ->

        state = 458;
      :: p6 ? l35 ->
        act ! l35;
        state = 472;
      fi
    }
  :: state == 472 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 470;
      :: p6_5 ! l33 ->

        state = 465;
      fi
    }
  :: state == 458 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 459;
      :: p6_5 ! l34 ->

        state = 465;
      fi
    }
  :: state == 459 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 461;
      :: p6_5 ! l20 ->

        state = 460;
      :: p6_5 ! l19 ->

        state = 460;
      :: p6_5 ! l19 ->

        state = 461;
      :: p6_5 ! l21 ->

        state = 460;
      :: p6_5 ! l21 ->

        state = 461;
      :: p6_5 ! l34 ->

        state = 463;
      fi
    }
  :: state == 470 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 469;
      :: p6_5 ! l20 ->

        state = 471;
      :: p6_5 ! l19 ->

        state = 471;
      :: p6_5 ! l19 ->

        state = 469;
      :: p6_5 ! l21 ->

        state = 469;
      :: p6_5 ! l21 ->

        state = 471;
      :: p6_5 ! l33 ->

        state = 463;
      fi
    }
  :: state == 467 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 468;
      :: p6_5 ! l20 ->

        state = 473;
      :: p6_5 ! l19 ->

        state = 473;
      :: p6_5 ! l19 ->

        state = 468;
      :: p6_5 ! l21 ->

        state = 473;
      :: p6_5 ! l21 ->

        state = 468;
      :: p6_5 ! l33 ->

        state = 459;
      fi
    }
  :: state == 464 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 465;
      :: p7_6 ? l23 ->
        act ! l23;
        state = 462;
      :: p6_3 ! l29 ->

        state = 460;
      :: p6_3 ! l29 ->

        state = 473;
      :: p6_3 ! l29 ->

        state = 471;
      :: p6_3 ! l32 ->

        state = 473;
      :: p6_3 ! l32 ->

        state = 471;
      :: p6_3 ! l32 ->

        state = 460;
      fi
    }
  :: state == 462 ->
    atomic {
      if
      :: p7_6 ? l24 ->
        act ! l24;
        state = 463;
      :: p6 ? l25 ->
        act ! l25;
        state = 465;
      :: p6_3 ! l29 ->

        state = 468;
      :: p6_3 ! l29 ->

        state = 461;
      :: p6_3 ! l29 ->

        state = 469;
      :: p6_3 ! l32 ->

        state = 461;
      :: p6_3 ! l32 ->

        state = 468;
      :: p6_3 ! l32 ->

        state = 469;
      fi
    }
  :: state == 465 ->
    atomic {
      if
      :: p7_6 ? l22 ->
        act ! l22;
        state = 463;
      :: p6_3 ! l29 ->

        state = 472;
      :: p6_3 ! l29 ->

        state = 466;
      :: p6_3 ! l29 ->

        state = 458;
      :: p6_3 ! l32 ->

        state = 466;
      :: p6_3 ! l32 ->

        state = 472;
      :: p6_3 ! l32 ->

        state = 458;
      fi
    }
  :: state == 463 ->
    atomic {
      if
      :: p6_5 ! l20 ->

        state = 462;
      :: p6_5 ! l20 ->

        state = 464;
      :: p6_5 ! l19 ->

        state = 464;
      :: p6_5 ! l19 ->

        state = 462;
      :: p6_5 ! l21 ->

        state = 464;
      :: p6_5 ! l21 ->

        state = 462;
      :: p6_3 ! l29 ->

        state = 467;
      :: p6_3 ! l29 ->

        state = 470;
      :: p6_3 ! l29 ->

        state = 459;
      :: p6_3 ! l32 ->

        state = 470;
      :: p6_3 ! l32 ->

        state = 467;
      :: p6_3 ! l32 ->

        state = 459;
      fi
    }
  od
}

/* Process 7 */
active proctype Proc7()
{
  int state = 519;
  do
  :: state == 519 ->
    atomic {
      if
      :: p7 ? nop ->

        state = 511;
      fi
    }
  :: state == 511 ->
    atomic {
      if
      :: p7_3 ! l27 ->

        state = 512;
      :: p7_3 ! l26 ->

        state = 513;
      :: p7_3 ! l28 ->

        state = 518;
      fi
    }
  :: state == 512 ->
    atomic {
      if
      :: p7_3 ! l27 ->

        state = 513;
      :: p7_6 ! l22 ->

        state = 515;
      :: p7_6 ! l24 ->

        state = 515;
      fi
    }
  :: state == 513 ->
    atomic {
      if
      :: p7_6 ! l22 ->

        state = 515;
      :: p7_6 ! l22 ->

        state = 514;
      :: p7_6 ! l24 ->

        state = 514;
      :: p7_6 ! l24 ->

        state = 515;
      fi
    }
  :: state == 518 ->
    atomic {
      if
      :: p7_3 ! l27 ->

        state = 518;
      :: p7_3 ! l26 ->

        state = 518;
      :: p7_3 ! l28 ->

        state = 518;
      :: p7_6 ! l22 ->

        state = 518;
      :: p7_6 ! l24 ->

        state = 518;
      :: p7_6 ! l23 ->

        state = 518;
      fi
    }
  :: state == 515 ->
    atomic {
      if
      :: p7_3 ! l27 ->

        state = 516;
      :: p7_3 ! l26 ->

        state = 517;
      fi
    }
  :: state == 514 ->
    atomic {
      if
      :: p7_3 ! l27 ->

        state = 515;
      :: p7_3 ! l28 ->

        state = 516;
      fi
    }
  :: state == 516 ->
    atomic {
      if
      :: p7_3 ! l27 ->

        state = 517;
      :: p7_6 ! l22 ->

        state = 515;
      :: p7_6 ! l24 ->

        state = 515;
      :: p7_6 ! l23 ->

        state = 515;
      fi
    }
  :: state == 517 ->
    atomic {
      if
      :: p7_6 ! l22 ->

        state = 515;
      :: p7_6 ! l22 ->

        state = 514;
      :: p7_6 ! l24 ->

        state = 515;
      :: p7_6 ! l24 ->

        state = 514;
      :: p7_6 ! l23 ->

        state = 514;
      :: p7_6 ! l23 ->

        state = 515;
      fi
    }
  od
}

#define p_l25	 (lastAction == l25)
#define p_l35	 (lastAction == l35)
#define p_l23	 (lastAction == l23)
#define p_l34	 (lastAction == l34)
#define p_l37	 (lastAction == l37)
#define p_l33	 (lastAction == l33)
#define p_l18	 (lastAction == l18)
#define p_l16	 (lastAction == l16)
#define p_l30	 (lastAction == l30)
#define p_l27	 (lastAction == l27)
#define p_l14	 (lastAction == l14)
#define p_l32	 (lastAction == l32)
#define p_l28	 (lastAction == l28)
#define p_l29	 (lastAction == l29)
#define p_l15	 (lastAction == l15)
#define p_l31	 (lastAction == l31)
#define p_l9	 (lastAction == l9)
#define p_l26	 (lastAction == l26)
#define p_l12	 (lastAction == l12)
#define p_l8	 (lastAction == l8)
#define p_l24	 (lastAction == l24)
#define p_l38	 (lastAction == l38)
#define p_l11	 (lastAction == l11)
#define p_l4	 (lastAction == l4)
#define p_l40	 (lastAction == l40)
#define p_l17	 (lastAction == l17)
#define p_l1	 (lastAction == l1)
#define p_l36	 (lastAction == l36)
#define p_l13	 (lastAction == l13)
#define p_l3	 (lastAction == l3)
#define p_l21	 (lastAction == l21)
#define p_l6	 (lastAction == l6)
#define p_l2	 (lastAction == l2)
#define p_l39	 (lastAction == l39)
#define p_l0	 (lastAction == l0)
#define p_l20	 (lastAction == l20)
#define p_l7	 (lastAction == l7)
#define p_l22	 (lastAction == l22)
#define p_l19	 (lastAction == l19)
#define p_l5	 (lastAction == l5)
#define p_l10	 (lastAction == l10)
#define p_l41    (lastAction == l41)


ltl p1	 { p_l6 V (p_l6 || !p_l7 || (!p_l5 U p_l4)) }
ltl p2	 { p_l7 V (!p_l2 || p_l7 || (p_l3 V (!p_l0 || p_l3))) }
ltl p3	 { (!p_l1 || []!p_l2) U p_l6 }
ltl p4	 { [](!p_l6 || []!p_l0) }
ltl p5	 { !p_l6 U p_l5 }
ltl p6	 { (!p_l0 || (!p_l7 U p_l2)) U p_l1 }
ltl p7	 { (p_l5 || p_l41) V (!p_l4 || p_l5 || p_l41 || <>p_l3) }
ltl p8	 { p_l5 V (!p_l1 || p_l5) }
ltl p9	 { []!(p_l3 || p_l41) }
ltl p10	 { p_l0 V (p_l0 || !(p_l5 || p_l7)) }
